﻿<%@ Control 
    Language="C#" 
    AutoEventWireup="true" 
    Inherits="ZetaTest.WebMain.UI.Attributes.PromotedAttributesControl" Codebehind="PromotedAttributesControl.ascx.cs" %>

<%@ Register Src="~/UI/Attributes/AttributeValueDynamicControl.ascx" 
	TagName="AttributeValueDynamicControl" TagPrefix="zt" %>

<asp:Panel
    runat="server"
    ID="PromotedAttributesContent"
    CssClass="promoted-attributes-content">
    <asp:Repeater
        runat="server"
        ID="AttributesDataList"
        OnItemDataBound="attributesDataListItemDataBound">
        <HeaderTemplate>
            <table border="0" cellpadding="0" cellspacing="0" class="promoted-attributes-list" width="100%">
                <tr>
        </HeaderTemplate>
        <ItemTemplate>
            <zt:AttributeValueDynamicControl
                runat="server"
                ID="AttributeValue"
                Attribute='<%# Eval(@"Item") %>'
                Value='<%# Eval(@"Value") %>'
                ValueColumnWidth='<%# Eval(@"ColumnWidthPercentage") %>' />
        </ItemTemplate>
        <SeparatorTemplate>
            </tr>
            <tr>
        </SeparatorTemplate>
        <FooterTemplate>
                </tr>
            </table>
        </FooterTemplate>   
    </asp:Repeater>
</asp:Panel>