﻿function ImplHandleMainSplitterResized(s, e) {
    AdjustMultiBugGridSize();
}

function AdjustMultiBugGridSize() {
	var height = Math.max(0, MultiBugContent.GetHeight() - 66);
	BugsGridGridView.SetHeight(height);
}

function ReloadBugs() {

	MainLoadingPanel.ShowInElementByID("bugs-content-div");
	BugsGridGridView.Refresh();
}

function UpdateMultiBugTrackerItemControlUI() {

	if (BugsGridGridView.GetVisibleRowsOnPage() > 0) {

		BugsNoItemPanel.SetVisible(false);
		BugsGridGridView.SetVisible(true);

		BugCountLabel.SetText(
                BugsGridGridView.GetVisibleRowsOnPage() + " Translate(SR_JS_NumberOfBugTrackerItems)");
	}
	else {
		BugsNoItemPanel.SetVisible(true);
		BugsGridGridView.SetVisible(false);
		BugCountLabel.SetVisible(false);
	}
}

function OnBugsGridGridViewEndCallback(s, e) {
	UpdateMultiBugTrackerItemControlUI();
	MainLoadingPanel.Hide();
	AdjustMultiBugGridSize();
}

function OnAddBugTrackerItemClick(s, e) {
	e.processOnServer = false;

	AddBugTrackerItem(
            TestResultHtmlEditor.GetHtml(), true);
}

function OnBugTicketUpdateClick(iid) {
	UpdateBugTrackerItem(iid, TestResultHtmlEditor.GetHtml(), true);
}