﻿<%@ Control
    Language="C#"
    AutoEventWireup="true"
    Inherits="ZetaTest.WebMain.UI.Helper.MasterPages.TopBarAuthenticatedControl"
     Codebehind="TopBarAuthenticatedControl.ascx.cs" %>
<table class="header" border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
    <tr>
        <td nowrap="nowrap" width="5" align="left" valign="middle">
            <asp:Image ID="Image1" CssClass="headerimage" runat="server"
                ImageAlign="AbsMiddle" ImageUrl="~/design/shield2-small.png" />
        </td>
        <td nowrap="nowrap" width="50%" align="left" valign="middle">
            <h1>Zeta Test Management Web Access</h1>
        </td>
        <td nowrap="nowrap" width="50%" align="right" valign="middle">
            <ul class="mainmenu">
                <li><asp:HyperLink ID="HyperLink1" runat="server"
                        NavigateUrl="https://www.zeta-test.com/modules/1.0/Backend/Dispatch.aspx?Cmd=CmdOnlineManual"
                        Target="_blank" Text="Help" meta:resourcekey="HyperLink1Resource1" /></li>
                <li><asp:HyperLink ID="RemoteSupportLink" Target="_blank" runat="server"
                        Text="Remote support" meta:resourcekey="RemoteSupportLinkResource1"/></li>
                <li><asp:HyperLink ID="HyperLink2" runat="server"
                        NavigateUrl="~/logoff" Text="Log off"
                        meta:resourcekey="HyperLink2Resource1" /></li>
                <li>
                    <asp:Label runat="server" ID="ProjectLabel" />
                    <dxe:ASPxHyperLink
                        runat="server"
                        ID="ChangeProjectLink"
                        ClientInstanceName="ChangeProjectLink"
                        Tooltip="Change project"
                        Cursor="pointer" meta:resourcekey="ChangeProjectLinkResource1" CssPostfix="doesnotexist" >
                        <ClientSideEvents Click="
                            function(s,e){
                                if(!ChangeProjectIsLoaded){
                                    ChangeProjectPopUpCallbackPanel.PerformCallback();
                                }else{
                                    if(ChangeProjectPopupControl.IsVisible()){
                                        ChangeProjectPopupControl.Hide();
                                    }else{
                                        ChangeProjectPopupControl.Show();
                                    }
                                }
                            }" />
                    </dxe:ASPxHyperLink>
                </li>
            </ul>

            <dxpc:ASPxPopupControl
                ID="ChangeProjectPopupControl"
                runat="server"
                PopupElementID="ChangeProjectLink"
                PopupVerticalAlign="Below"
                PopupHorizontalAlign="RightSides"
                AllowDragging="True"
                Width="200px"
                ShowHeader="False"
                ClientInstanceName="ChangeProjectPopupControl"
                PopupAction="None" meta:resourcekey="ChangeProjectPopupControlResource1"
                >
                <ContentStyle>
                    <Paddings
                        PaddingTop="0px"
                        PaddingRight="0px"
                        PaddingBottom="0px"
                        PaddingLeft="0px" />
                </ContentStyle>
                <ContentCollection>
                    <dxpc:PopupControlContentControl ID="PopupControlContentControl" runat="server">

                        <dxcp:ASPxCallbackPanel
                            runat="server"
                            ID="ChangeProjectPopUpCallbackPanel"
                            ClientInstanceName="ChangeProjectPopUpCallbackPanel"
                            OnCallback="ChangeProjectPopUpCallbackPanel_CallBack"
                            meta:resourcekey="ChangeProjectPopUpCallbackPanelResource1"
                            SettingsLoadingPanel-Enabled="False">
                            <ClientSideEvents EndCallback="function(s,e){ChangeProjectIsLoaded = true;ChangeProjectPopupControl.Show();}" />
                            <PanelCollection>
                                <dxp:PanelContent ID="PanelContent1" runat="server">
                                    <dxgv:ASPxGridView
                                        runat="server"
                                        ID="ChangeProjectContentGridView"
                                        ClientInstanceName="ChangeProjectContentGridView"
                                        KeyFieldName="UniqueID"
                                        Width="100%"

                                        OnHtmlRowPrepared="ChangeProjectContentGridView_HtmlRowPrepared" meta:resourcekey="ChangeProjectContentGridViewResource1"
                                        >
                                        <SettingsBehavior />
                                        <Settings  ShowColumnHeaders="false" VerticalScrollBarMode="Visible"/>
                                            <Columns>
                                                <dxgv:GridViewDataColumn FieldName="Name" Width="100%">
                                                    <DataItemTemplate>
                                                        <dxe:ASPxHyperLink
                                                            runat="server"
                                                            ID="Link"
                                                            Text='<%# Eval(@"Name") %>'/>
                                                    </DataItemTemplate>
                                                </dxgv:GridViewDataColumn>

                                            </Columns>
                                        </dxgv:ASPxGridView>
                                </dxp:PanelContent>
                            </PanelCollection>
                        </dxcp:ASPxCallbackPanel>
                    </dxpc:PopupControlContentControl>
                </ContentCollection>
            </dxpc:ASPxPopupControl>
        </td>
    </tr>
</table>
