﻿<%@ Control
    Language="C#"
    AutoEventWireup="true"
    Inherits="ZetaTest.WebMain.UI.MainWindow.Packages.DashboardControl" Codebehind="DashboardControl.ascx.cs" %>

<div id="package-dashboard-content" style="overflow:auto" >
        <table width="100%" height="100%" id="package-dashboard-content-table" cellpadding="0px" >

            <tbody>
                <tr>
                    <td style="vertical-align:top;" id="dashboard-dashboardtestresultschartcontrol-cell">
                        <dxchartsui:WebChartControl
                            ID="DashboardTestResultsChartControl"
                            runat="server"
                            ClientInstanceName="DashboardTestResultsChartControl"
                            EnableClientSideAPI="True" Height="200px"
                            meta:resourcekey="DashboardTestResultsChartControlResource1" Width="300px"
                            >

                        </dxchartsui:WebChartControl>
                    </td>
                    <td style="vertical-align:top;width:100%;padding:0 0 0 10px" >
                        <table width="100%">
                            <tbody>
                                <tr>
                                    <td align="left" style="vertical-align:top">
                                        &nbsp;
                                    </td>
                                </tr>
                                <tr>
                                    <td >
                                        <div id="package-dashboard-content-summary" style="height:100%">
                                            <table style="text-align:left;height:100%" class="info" cellpadding="0" cellspacing="0" border="0">
                                                <tbody>
                                                    <tr id="PackageNamePanel" runat="server">
                                                        <th nowrap="nowrap"><asp:Localize ID="Localize1" runat="server" Text="Test package"
                                                                meta:resourcekey="Localize1Resource1" /></th>
                                                        <td nowrap="nowrap">
                                                            <asp:Literal runat="server" ID="PackageNameLabel" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="2">
                                                            &nbsp;
                                                        </td>
                                                    </tr>
                                                    <tr id="TestPlansSummaryPanel" runat="server">
                                                        <th nowrap="nowrap"><asp:Localize ID="Localize2" runat="server"
                                                                Text="No. of test plans" meta:resourcekey="Localize2Resource1" /></th>
                                                        <td nowrap="nowrap">
                                                            <asp:Literal runat="server" ID="TestPlansSummaryLabel" />
                                                        </td>
                                                    </tr>
                                                    <tr id="TestPackagesSummaryPanel" runat="server">
                                                        <th nowrap="nowrap"><asp:Localize ID="Localize3" runat="server"
                                                                Text="No. of test packages" meta:resourcekey="Localize3Resource1" /></th>
                                                        <td nowrap="nowrap">
                                                            <asp:Literal runat="server" ID="TestPackagesSummaryLabel" />
                                                        </td>
                                                    </tr>
                                                    <tr id="TestRunsSummaryPanel" runat="server">
                                                        <th nowrap="nowrap"><asp:Localize ID="Localize4" runat="server"
                                                                Text="No. of test runs" meta:resourcekey="Localize4Resource1" /></th>
                                                        <td nowrap="nowrap">
                                                            <asp:Literal runat="server" ID="TestRunsSummaryLabel" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="2">
                                                            &nbsp;
                                                        </td>
                                                    </tr>
                                                    <tr id="ModifiedPanel" runat="server">
                                                        <th nowrap="nowrap"><asp:Localize ID="Localize5" runat="server" Text="Modified"
                                                                meta:resourcekey="Localize5Resource1" /></th>
                                                        <td >
                                                            <asp:Literal runat="server" ID="ModifiedLabel" />
                                                        </td>
                                                    </tr>
                                                    <tr id="CreatedPanel" runat="server">
                                                        <th nowrap="nowrap"><asp:Localize ID="Localize6" runat="server" Text="Created"
                                                                meta:resourcekey="Localize6Resource1" /></th>
                                                        <td >
                                                            <asp:Literal runat="server" ID="CreatedLabel" />
                                                        </td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </td>
                                </tr>
                                 <tr>
                                    <td align="left" style="vertical-align:top">
                                        &nbsp;
                                    </td>
                                </tr>
                                 <tr>
                                    <td >
                                        <div id="Div1" style="height:100%">
                                            <table style="text-align:left;height:100%;width:350px" cellspacing="0" class="dashboardLegend">
                                                <thead  class="dashboardLegend">
                                                    <tr  class="dashboardLegend">
                                                        <th  class="dashboardLegend" style="width:60%"><asp:Localize ID="Localize8" runat="server" Text="Test result name"
                                                                meta:resourcekey="Localize8Resource1"/>
                                                        </th>
                                                        <th nowrap="nowrap" class="dashboardLegend" style="width:20%"><asp:Localize ID="Localize9" runat="server" Text="Test results"
                                                                meta:resourcekey="Localize9Resource1" />
                                                        </th>
                                                        <th nowrap="nowrap" class="dashboardLegend" style="width:20%">
                                                            <asp:Localize ID="Localize10" runat="server" Text="Percent"
                                                                meta:resourcekey="Localize10Resource1" />
                                                        </th>
                                                    </tr>
                                                </thead>
                                                <tbody  class="dashboardLegend">
                                                    <asp:Repeater runat="server" ID="DashboardChartLegendRepeater">
                                                        <ItemTemplate>
                                                                <tr  class="dashboardLegend">
                                                                    <td nowrap="nowrap"
                                                                        class="dashboardLegend"
                                                                        style="width:150px;
                                                                        font-weight:bold">
                                                                        <dxe:ASPxLabel
                                                                            runat="server"
                                                                            Text='<%#Eval(@"TestResultName")%>'
                                                                            ForeColor='<%#Eval(@"Color")%>'/>
                                                                    </td>
                                                                    <td  class="dashboardLegend"
                                                                        style="text-align:right;">
                                                                            <%#Eval(@"Count")%>
                                                                    </td>
                                                                    <td class="dashboardLegend"
                                                                        style="text-align:right;">
                                                                        <%#Eval(@"Percent")%>
                                                                    </td>
                                                                </tr>
                                                        </ItemTemplate>
                                                    </asp:Repeater>
                                                </tbody>
                                                <tfoot>
                                                      <tr id="ChartLegendSummary" runat="server" >
                                                        <th nowrap="nowrap"  class="dashboardLegend"><asp:Localize ID="Localize11" runat="server" Text="Summary"
                                                                meta:resourcekey="Localize11Resource1" />
                                                        </th>
                                                        <th nowrap="nowrap" style="text-align:right;"  class="dashboardLegend">
                                                            <asp:Literal runat="server" ID="ChartLegendSummaryTotalSummaryCountItemsControl" />
                                                        </th>
                                                        <th nowrap="nowrap" style="text-align:right;"  class="dashboardLegend">
                                                            <asp:Literal runat="server" ID="ChartLegendSummaryTotalSummaryPercentControl" />
                                                        </th>
                                                    </tr>
                                                </tfoot>
                                            </table>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td align="left" style="vertical-align:top">
                                        &nbsp;
                                    </td>
                                </tr>
                                <tr runat="server" id="DashboardMenuCell">
                                    <td align="left" style="vertical-align:top">
                                        <dxe:ASPxButton
                                            runat="server"
                                            Text="Reports"
                                            CssClass="ReportsPopUp"
                                            ID="ASPxPopupMenuClientLinkControl"
                                            ClientInstanceName="ASPxPopupMenuClientLinkControl"
                                            AutoPostBack="false"
                                            ImagePosition="Right"
                                            meta:resourcekey="ASPxPopupMenuClientLinkControlResource1">
                                            <Image Url="~/design/arrowdown.png" />
                                        </dxe:ASPxButton>
                                        <dxm:ASPxPopupMenu
                                            ID="ASPxPopupMenu1"
                                            PopupElementID="ASPxPopupMenuClientLinkControl"
                                            runat="server"
                                            ClientInstanceName="ASPxPopupMenuClientControl"
                                            PopupHorizontalAlign="LeftSides"
                                            PopupVerticalAlign="Below"
                                            PopupAction="LeftMouseClick" meta:resourcekey="ASPxPopupMenu1Resource1"
                                            ShowSubMenuShadow="False" GutterWidth="0px">
                                        </dxm:ASPxPopupMenu>
                                    </td>
                                </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
        </tbody>
    </table>
</div>