﻿<%@ Control 
    Language="C#" 
    AutoEventWireup="true" 
    Inherits="ZetaTest.WebMain.UI.MainWindow.Reviews.TestCasesToReviewListControl" Codebehind="TestCasesToReviewListControl.ascx.cs" %>

<dxgv:ASPxGridView
        ID="TestCasesToReviewGridViewControl"
        ClientInstanceName="TestCaseToReviewGridViewControl"
        runat="server"
        DataSourceID="TestCasesToReviewDataSource"
        KeyFieldName="TestCaseID"
        AutoGenerateColumns="False"
        Width="100%" meta:resourcekey="TestCasesToReviewGridViewControlResource1"
        >
        <Settings 
            ShowFilterRow="true"  
            ShowFilterRowMenu="true" 
            VerticalScrollBarMode="Visible" />
        <SettingsBehavior 
            AllowFocusedRow="true" 
            AllowDragDrop="false" 
            AllowSort="true" />
        <SettingsPager 
            Visible="true" 
            NumericButtonCount="5" 
            PageSize="30"  />
        <Columns>
            <dxgv:GridViewDataColumn Caption="Name" Name="Name" FieldName="NameIntelligent" 
				Width="45%" meta:resourcekey="GridViewDataColumnResource1">
                <Settings AutoFilterCondition="Contains" />
            </dxgv:GridViewDataColumn>
            <dxgv:GridViewDataColumn Caption="Path" Name="Path" FieldName="Path"  
				Width="55%" meta:resourcekey="GridViewDataColumnResource2">
                <Settings AutoFilterCondition="Contains" />
            </dxgv:GridViewDataColumn>
        </Columns>
        <ClientSideEvents 
            FocusedRowChanged="TestCaseReviewGridControl_FocusedRowChanged" 
            EndCallback="TestCaseToReviewGridViewControl_EndCallback"
            Init="TestCaseToReviewGridViewControl_Init"
            />
</dxgv:ASPxGridView>

<asp:ObjectDataSource 
    ID="TestCasesToReviewDataSource"
    runat="server"
    TypeName="ZetaTest.WebMain.Code.BusinessLogic.TestCaseReviewController"
    SelectMethod="GetTestCaseToReviewForCurrentUser"
/>