﻿//window.ImplHandleMainSplitterResized = function (s, e) {
//    ResizeContent();
//}

function ResizeContent() {
    var mainContentSplitterPane = MS.GetPaneByName("MainContentSplitterPane");

    ResizeRightPaneContent(mainContentSplitterPane.GetClientWidth(), mainContentSplitterPane.GetClientHeight());
}

function ResizeRightPaneContent(width, height) {
    var div = $("#testcase-content-div");
    var title = $("#titlecompact");
    var content = $("#contentcompact");

    if (div != null && typeof (div) != "undefined") {

        var contentHeight = height - title.height() - 35;

        div.height(height);
        content.height(contentHeight);
    }
}

function OnTestCaseTreeFocusedRowChanged(s, e) {
    e.processOnServer = false;
    if (DetailsPanel != null && typeof (DetailsPanel) != "undefined") {
        DetailsPanel.PerformCallback();
    }
}

function OnDetailsPanelEndCallback(s, e) {
    ResizeContent();
}

function ImplHandleMainSplitterInit(s, e) {
    SearchResultControl_Resize();
}

function ImplHandleMainSplitterResized(s, e) {
    SearchResultControl_Resize();
}

function SearchResultControl_EndCallback(s,e) {
    SearchResultControl_Resize();

    if (ExistASPxClientControl("SearchResultControl") && SearchResultControl.GetFocusedRowIndex() < 0) {
        SearchResultControl.SetFocusedRowIndex(0);
    }
}

function SearchResultControl_Init(s, e) {
    SearchResultControl_Resize();    
}

function SearchResultControl_Resize() {
   
    if (ExistASPxClientControl("MS")) {
        var pane = MS.GetPaneByName("NavBarContentSplitterPane");
        if (!IsNullOrUndefined(pane)) {

            var height = pane.GetClientHeight() - document.getElementById('SearchFilterControl').offsetHeight;
            var width = pane.GetClientWidth();

            if (ExistASPxClientControl("SearchResultControl")) {
                SearchResultControl.SetHeight(height );
            }
        }
    }

    ResizeContent();
}



