﻿<%@ Control 
    Language="C#" 
    AutoEventWireup="true" 
    Inherits="ZetaTest.WebMain.UI.MainWindow.Start.DashboardControl" 
    Codebehind="DashboardControl.ascx.cs" %>
<%@ Import Namespace="ZetaTest.WebMain.UI.Entrance" %>

<%@ Register TagPrefix="zt" TagName="FilterControl" Src="DashboardFilter/DashboardFilterControl.ascx" %>
<%@ Register TagPrefix="zt" TagName="ReportControl" Src="DashboardReportControl.ascx" %>
<%@ Register TagPrefix="zt" Namespace="ZetaTest.WebMain.Code.UI" Assembly="ZetaTest.WebMain" %>

<div id="dashboard-content" style="overflow:auto" >
    
    <dxtc:ASPxPageControl 
        runat="server" 
        ID="DashboardTabControl"
        ClientInstanceName="DashboardTabControl" 
        ActiveTabIndex="0"
        EnableHierarchyRecreation="True"
        TabPosition="Bottom"
        Width="100%">
        <ClientSideEvents
            ActiveTabChanged="OnActiveTabChanged"
            Init="OnTabControlInit" />
        <ContentStyle>
            <Paddings Padding="10" />
        </ContentStyle>
        <TabPages>
	        <dxtc:TabPage 
                Text="Dashboard" 
                Name="Dashboard">
		        <ContentCollection>
			        <dxw:ContentControl runat="server" Width="100%">
			            <table width="100%" height="100%" id="package-dashboard-content-table" cellpadding="0px" >
                            <tbody>
                                <tr>
                                    <td style="vertical-align:top;" id="dashboard-dashboardtestresultschartcontrol-cell">
                                        <dxchartsui:WebChartControl 
                                            runat="server" 
                                            ID="DashboardTestResultsChartControl" 
                                            ClientInstanceName="DashboardTestResultsChartControl"
                                            EnableClientSideAPI="True" 
                                            Height="200px" 
						                    meta:resourcekey="DashboardTestResultsChartControlResource1"
                                            Width="300px">
                                        </dxchartsui:WebChartControl>
                                    </td>
                                    <td style="vertical-align:top;width:100%;padding:0 0 0 10px" >
                                        <table width="100%">
                                            <tr>
                                                <td align="left" style="vertical-align:top">
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <td >
                                                    <div id="package-dashboard-content-summary" style="height:100%">
                                                        <table style="text-align:left;height:100%" class="info" cellpadding="0" cellspacing="0" border="0">
                                                            <tbody>
                                                                <tr id="PackageNamePanel" runat="server">
                                                                    <th nowrap="nowrap" >
                                                                        <asp:Literal runat="server" ID="NodeTypeName"/>
                                                                    </th>
                                                                    <td nowrap="nowrap">
                                                                        <asp:Literal runat="server" ID="TestObjectNameLabel"/>
                                                                    </td>
                                                                </tr>
                                                                <tr id="TestRunStatusPanel" runat="server">
                                                                    <th nowrap="nowrap" >
                                                                        <asp:Localize runat="server" Text="State" meta:resourcekey="Localize14Resource1" />
                                                                    </th>
                                                                    <td nowrap="nowrap">
                                                                        <asp:Literal runat="server" ID="TestRunStatusLabel"/>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td colspan="2">
                                                                        &nbsp;
                                                                    </td>
                                                                </tr>
                                                                <tr id="TestRunStartDatePanel" runat="server">
                                                                    <th nowrap="nowrap" >
                                                                        <asp:Localize runat="server" Text="Started" meta:resourcekey="Localize15Resource1" />
                                                                    </th>
                                                                    <td nowrap="nowrap">
                                                                        <asp:Literal runat="server" ID="TestRunStartDateLabel"/>
                                                                    </td>
                                                                </tr>
                                                                    <tr id="TestRunFinishDatePanel" runat="server">
                                                                    <th nowrap="nowrap" >
                                                                        <asp:Localize runat="server" Text="Finished" meta:resourcekey="Localize16Resource1" />
                                                                    </th>
                                                                    <td nowrap="nowrap">
                                                                        <asp:Literal runat="server" ID="TestRunFinishDateLabel"/>
                                                                    </td>
                                                                </tr>
                                                                <tr  id="SpacerPanelTestRunDates" runat="server">
                                                                    <td colspan="2">
                                                                        &nbsp;
                                                                    </td>
                                                                </tr>
                                                                <tr id="TestPlansSummaryPanel" runat="server">
                                                                    <th nowrap="nowrap" ><asp:Localize ID="Localize2" runat="server" 
															                Text="No. of test plans" meta:resourcekey="Localize2Resource1" /></th>
                                                                    <td nowrap="nowrap">
                                                                        <asp:Literal runat="server" ID="TestPlansSummaryLabel"/>
                                                                    </td>
                                                                </tr>
                                                                <tr id="TestPackagesSummaryPanel" runat="server">
                                                                    <th nowrap="nowrap" ><asp:Localize ID="Localize3" runat="server" 
															                Text="No. of test packages" meta:resourcekey="Localize3Resource1" /></th>
                                                                    <td nowrap="nowrap">
                                                                        <asp:Literal runat="server" ID="TestPackagesSummaryLabel"/>
                                                                    </td>
                                                                </tr>
                                                                <tr id="TestRunsSummaryPanel" runat="server">
                                                                    <th nowrap="nowrap" ><asp:Localize ID="Localize4" runat="server" 
															                Text="No. of test runs" meta:resourcekey="Localize4Resource1" /></th>
                                                                    <td nowrap="nowrap">
                                                                        <asp:Literal runat="server" ID="TestRunsSummaryLabel"/>
                                                                    </td>
                                                                </tr>
                                                                <tr id="TestUnitsSummaryPanel" runat="server">
                                                                    <th nowrap="nowrap" ><asp:Localize runat="server" 
															                Text="No. of test units" meta:resourcekey="Localize12Resource1" /></th>
                                                                    <td nowrap="nowrap">
                                                                        <asp:Literal runat="server" ID="TestUnitsSummaryLabel"/>
                                                                    </td>
                                                                </tr>
                                                                <tr id="TestCasesSummaryPanel" runat="server">
                                                                    <th nowrap="nowrap" ><asp:Localize runat="server" 
															                Text="No. of test units" meta:resourcekey="Localize13Resource1" /></th>
                                                                    <td nowrap="nowrap">
                                                                        <asp:Literal runat="server" ID="TestCasesSummaryLabel"/>
                                                                    </td>
                                                                </tr>
                                                                <tr  id="SpacerPanel" runat="server">
                                                                    <td colspan="2">
                                                                        &nbsp;
                                                                    </td>
                                                                </tr>
                                                                <tr id="ModifiedPanel" runat="server">
                                                                    <th nowrap="nowrap" ><asp:Localize ID="Localize5" runat="server" Text="Modified" 
															                meta:resourcekey="Localize5Resource1" /></th>
                                                                    <td >
                                                                        <asp:Literal runat="server" ID="ModifiedLabel"/>
                                                                    </td>
                                                                </tr>
                                                                <tr id="CreatedPanel" runat="server">
                                                                    <th nowrap="nowrap" ><asp:Localize ID="Localize6" runat="server" Text="Created" 
															                meta:resourcekey="Localize6Resource1" /></th>
                                                                    <td >
                                                                        <asp:Literal runat="server" ID="CreatedLabel"/>
                                                                    </td>
                                                                </tr>
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </td>
                                            </tr>
                                                <tr>
                                                <td align="left" style="vertical-align:top">
                                                    &nbsp;
                                                </td>
                                            </tr>
                                                <tr>
                                                <td >
                                                    <div id="Div1" style="height:100%">
                                                        <table style="text-align:left;height:100%;width:350px" cellspacing="0" class="dashboardLegend">
                                                            <thead  class="dashboardLegend">
                                                                <tr  class="dashboardLegend">
                                                                    <th class="dashboardLegend" style="width:60%"><asp:Localize ID="Localize8" runat="server" Text="Test result name" 
															                meta:resourcekey="Localize8Resource1"/>
                                                                    </th>
                                                                    <th nowrap="nowrap" class="dashboardLegend" style="width:20%"><asp:Localize ID="Localize9" runat="server" Text="Test results" 
															                meta:resourcekey="Localize9Resource1" />
                                                                    </th>
                                                                    <th nowrap="nowrap" class="dashboardLegend" style="width:20%">
                                                                        <asp:Localize ID="Localize10" runat="server" Text="Percent" 
															                meta:resourcekey="Localize10Resource1" />
                                                                    </th>
                                                                </tr>
                                                            </thead>
                                                            <tbody  class="dashboardLegend">
                                                                <asp:Repeater runat="server" ID="DashboardChartLegendRepeater">
									                                <ItemTemplate>
											                                <tr  class="dashboardLegend">
												                                <td nowrap="nowrap" 
                                                                                    class="dashboardLegend"
                                                                                    style="width:150px;
												                                    font-weight:bold">
                                                                                    <dxe:ASPxLabel ID="ASPxLabel1" 
                                                                                        runat="server" 
                                                                                        Text='<%# Eval(@"TestResultName") %>'
                                                                                        ForeColor='<%# Eval(@"Color") %>'/>
                                                                                </td>
												                                <td  class="dashboardLegend"
                                                                                    style="text-align:right;">
                                                                                        <%#Eval(@"Count")%>
                                                                                </td>
                                                                                <td class="dashboardLegend"
                                                                                    style="text-align:right;">
                                                                                    <%#Eval(@"Percent")%>
                                                                                </td>
											                                </tr>
									                                </ItemTemplate>
								                                </asp:Repeater>
                                                            </tbody>
                                                            <tfoot>
                                                                    <tr id="ChartLegendSummary" runat="server" >
                                                                    <th nowrap="nowrap"  class="dashboardLegend"><asp:Localize ID="Localize11" runat="server" Text="Summary" 
															                meta:resourcekey="Localize11Resource1" />
                                                                    </th>
                                                                    <th nowrap="nowrap" style="text-align:right;"  class="dashboardLegend">
                                                                        <asp:Literal runat="server" 
                                                                            ID="ChartLegendSummaryTotalSummaryCountItemsControl" />
                                                                    </th>
                                                                    <th nowrap="nowrap" style="text-align:right;"  class="dashboardLegend">
                                                                        <asp:Literal runat="server" ID="ChartLegendSummaryTotalSummaryPercentControl" />
                                                                    </th>
                                                                </tr>
                                                            </tfoot>
                                                        </table>
                                                    </div>
                                                </td>
                                            </tr>
                                        </table>
                                        <table class="buttons">
                                            <tr>
                                                <td align="left" style="vertical-align:top">
                                                    <zt:ReportControl 
                                                        runat="server"
                                                        ID="Report" />
                                                </td>
                                                <td align="left" style="vertical-align:top">
                                                    <zt:FilterControl
                                                        runat="server"
                                                        ID="Filter"
                                                        Visible="<%#ProjectFeatureChecker.AllowFilters%>"
                                                        OnNeedTreeNode="OnFilterNeedAttributeAwareItem" />
                                                </td>
                                            </tr>
                                        </table>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    </dxw:ContentControl>
                </ContentCollection>
            </dxtc:TabPage>
            <dxtc:TabPage 
                Text="Ergebnisse" 
                Name="Ergebnisse">
		        <ContentCollection>
			        <dxw:ContentControl runat="server" Width="100%">
			            <zt:PersistentStateGridView 
                            runat="server"
		                    ID="PlannedTestCaseVariantsGridView" 
                            ClientInstanceName="PlannedTestCaseVariantsGridView"
                            AutoGenerateColumns="False"
                            EnableViewState="false"
                            HasRestored="False"
		                    KeyFieldName="TestCaseID"
                            OnCustomCallback="OnPlannedTestCaseVariantsGridViewCallback">
		                    <SettingsPager PageSize="15" AlwaysShowPager="true" />
		                    <Settings ShowFooter="True" VerticalScrollBarMode="Visible" HorizontalScrollBarMode="Auto"/>
                            <SettingsBehavior ColumnResizeMode="Control"/>
                            <SettingsLoadingPanel Mode="ShowAsPopup"></SettingsLoadingPanel>
		                    <Styles>
			                    <AlternatingRow Enabled="True" />
		                    </Styles>	
		                    <TotalSummary>
			                    <dxgv:ASPxSummaryItem DisplayFormat="{0} test results" ShowInColumn="Date" 
				                    SummaryType="Count" />
		                    </TotalSummary>
		                    <Columns>
		                        <dxgv:GridViewDataTextColumn Caption="Testfall-ID" FieldName="TestCaseID" ReadOnly="True" 
				                    VisibleIndex="0" Width="80px" meta:resourcekey="GridViewDataTextColumnTestCaseID" >
				                    <Settings AutoFilterCondition="Contains" />
				                    <CellStyle VerticalAlign="Top" />
			                    </dxgv:GridViewDataTextColumn>
			                    <dxgv:GridViewDataTextColumn Caption="Datum" FieldName="Date" ReadOnly="True" 
				                    VisibleIndex="0" Width="80px">
				                    <Settings AutoFilterCondition="Contains" />
				                    <CellStyle VerticalAlign="Top" />
			                    </dxgv:GridViewDataTextColumn>
			                    <dxgv:GridViewDataTextColumn Caption="Ergebnis" FieldName="Result" 
				                    ReadOnly="True" VisibleIndex="1" Width="90px">
				                    <Settings AutoFilterCondition="Contains" />
				                    <CellStyle VerticalAlign="Top" />
			                    </dxgv:GridViewDataTextColumn>
			                    <dxgv:GridViewDataTextColumn Caption="Beschreibung" FieldName="Description" 
				                    ReadOnly="True" VisibleIndex="2" Width="200px">
				                    <Settings AutoFilterCondition="Contains" />
				                    <CellStyle VerticalAlign="Top" />
			                    </dxgv:GridViewDataTextColumn>
			                    <dxgv:GridViewDataTextColumn Caption="Umgebung" FieldName="Environment" 
				                    ReadOnly="True" VisibleIndex="3">
				                    <Settings AutoFilterCondition="Contains" />
				                    <CellStyle VerticalAlign="Top" />
			                    </dxgv:GridViewDataTextColumn>
			                    <dxgv:GridViewDataTextColumn Caption="Variant" FieldName="Variant" 
				                    ReadOnly="True" VisibleIndex="4">
				                    <Settings AutoFilterCondition="Contains" />
				                    <CellStyle VerticalAlign="Top" />
			                    </dxgv:GridViewDataTextColumn>
			                    <dxgv:GridViewDataTextColumn Caption="Pfad" FieldName="Path" ReadOnly="True" 
				                    VisibleIndex="5"  Width="300px">
				                    <Settings AutoFilterCondition="Contains" />
				                    <CellStyle VerticalAlign="Top" />
				                    <PropertiesTextEdit DisplayFormatString="{0}" />
			                    </dxgv:GridViewDataTextColumn>
			                    <dxgv:GridViewDataTextColumn Caption="Testfall" FieldName="TestCase" 
				                    ReadOnly="True" VisibleIndex="6" Width="300px">
				                    <Settings AutoFilterCondition="Contains" />
				                    <CellStyle VerticalAlign="Top" />
			                    </dxgv:GridViewDataTextColumn>
                                <dxgv:GridViewDataTextColumn Caption="Testfall-Varianten-ID" FieldName="TestCaseVariantID" 
				                    ReadOnly="True" VisibleIndex="7">
				                    <Settings AutoFilterCondition="Contains" />
				                    <CellStyle VerticalAlign="Top" />
			                    </dxgv:GridViewDataTextColumn>
			                    <dxgv:GridViewDataTextColumn Caption="Dauer" FieldName="Duration" 
				                    ReadOnly="True" VisibleIndex="8">
				                    <Settings AutoFilterCondition="Contains" />
				                    <CellStyle VerticalAlign="Top" />
			                    </dxgv:GridViewDataTextColumn>
			                    <dxgv:GridViewDataTextColumn Caption="Tester" FieldName="Tester" 
				                    ReadOnly="True" VisibleIndex="9">
				                    <Settings AutoFilterCondition="Contains" />
				                    <CellStyle VerticalAlign="Top" />
			                    </dxgv:GridViewDataTextColumn>
		                    </Columns>
	                    </zt:PersistentStateGridView>
                    </dxw:ContentControl>
                </ContentCollection>
            </dxtc:TabPage>
        </TabPages>
    </dxtc:ASPxPageControl>        
</div>