﻿var loadedResults = false;

function OnActiveTabChanged(s, e) {
    checkLoadResults(e.tab);
}

function OnTabControlInit(s, e) {
    loadedResults = false;
    checkLoadResults(
        DashboardTabControl.GetActiveTab());
}

function checkLoadResults(tab) {
    if (tab.name == "Ergebnisse" && !loadedResults) {
        PackageTreeContainer.GetNodeValues(
            PackageTreeContainer.GetFocusedNodeKey(),
            new Array("ID", "Type"),
            doLoadResults);
    }
}

function doLoadResults(values) {
    var request = new Object();
    request.ID = values[0];
    request.Type = values[1];

    PlannedTestCaseVariantsGridView.PerformCallback(
        Sys.Serialization.JavaScriptSerializer.serialize(request));

    loadedResults = true;
}