﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="ZetaTest.WebMain.UI.MainWindow.Start.DashboardFilter.FilterItemsControl" Codebehind="FilterItemsControl.ascx.cs" %>

<dx:ASPxDropDownEdit 
    runat="server" 
    ID="comboBox"
    AnimationType="None"
    EnableFocusedStyle="False"
    Text="(Kein Filter)"
    ReadOnly="True">
    <DropDownWindowStyle BackColor="#EDEDED" />
    <DropDownWindowTemplate>
        <dx:ASPxListBox 
            runat="server"
            ID="listBox"
            TextField="Text"
            ValueField="Value"
            SelectionMode="CheckColumn"
            Width="100%">
            <Border BorderStyle="None" />
            <BorderBottom BorderStyle="Solid" BorderWidth="1px" BorderColor="#DCDCDC" />
            <ClientSideEvents
                Init="function(s,e){ 
                    FilterCollection.push( { ClientID: s.name } );  
                }" 
                SelectedIndexChanged="function(s,e){
                    updateFilterListBox(s, e.index);
                    updateFilterDropDownText(s);
                    e.processOnServer = false; }" />
        </dx:ASPxListBox>
    </DropDownWindowTemplate>
</dx:ASPxDropDownEdit>
