﻿<%@ Page 
    Title="Start" 
    Language="C#" 
    MasterPageFile="~/UI/Helper/MasterPages/AuthenticatedSplittedMasterPage.master" 
    AutoEventWireup="true" 
    Inherits="ZetaTest.WebMain.UI.MainWindow.Start.StartIndex"
    EnableViewState="true" culture="auto" meta:resourcekey="PageResource" uiculture="auto" Codebehind="Index.aspx.cs" %>

<%@ Register TagPrefix="zt" TagName="TreeControl" Src="~/UI/MainWindow/Start/LeftTree/TreeControl.ascx" %>


<asp:Content ID="Content2" ContentPlaceHolderID="NavBarHeader" Runat="Server">
    <asp:Localize ID="Localize1" runat="server" Text="Start" />
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="NavBarContent" Runat="Server">
    <zt:TreeControl 
        runat="server" 
        ID="Tree"
        OnClientFocusedNodeChanged="OnTreeFocusedNodeChanged"
        OnClientInit="OnTreeInit" >
    </zt:TreeControl>
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="MCPH" Runat="Server">
    
    <dx:ASPxLoadingPanel 
        runat="server"
        ID="MainLoadingPanel" 
        ClientInstanceName="MainLoadingPanel"
        HorizontalAlign="Center" 
        LoadingDivStyle-BackColor="White"
        Modal="True"
        VerticalAlign="Middle"
        meta:resourcekey="MainLoadingPanelResource2">
    </dx:ASPxLoadingPanel>

    <div id="content-outer-div" class="package-tab-outer-div">
        <dxcp:ASPxCallbackPanel 
            runat="server"
            ID="ContentCallbackPanel"
            ClientInstanceName="ContentCallbackPanel"  
            EnableCallbackCompression="true"
            Width="100%"
            OnCallback="OnContentCallbackPanel">
            <PanelCollection>
                <dxcp:PanelContent runat="server">
                </dxcp:PanelContent>
            </PanelCollection>
            <ClientSideEvents EndCallback="OnContentEndCallback" />
        </dxcp:ASPxCallbackPanel>
    </div>                   
</asp:Content>