﻿<%@ Control 
    Language="C#" 
    AutoEventWireup="true" 
    CodeBehind="TestRunTreeMenu.ascx.cs" 
    Inherits="ZetaTest.WebMain.UI.MainWindow.Start.LeftTree.PopupMenus.TestRunTreeMenu" 
    %>
<%@ Register TagPrefix="ztwa" Namespace="ZetaTest.WebMain.UI.MainWindow.Start.LeftTree.PopupMenus.Base" Assembly="ZetaTest.WebMain" %>

<ztwa:TreePopupMenu
    runat="server"
    ID="TestRunPopupMenu"
    CssClass="disable-selection"
    ClientInstanceName="testRunPopupMenu">

    <Items>
        <dxm:MenuItem Name="ContinueTestRun" Text="Continue tests" Target="_blank"
            NavigateUrl="#" meta:resourcekey="ContinueTestRunResource">
        </dxm:MenuItem>
    </Items>
</ztwa:TreePopupMenu>

<script type="text/javascript">
    function fillTestRunPopupMenu(uac) {
        testRunPopupMenu.GetItemByName('ContinueTestRun').SetNavigateUrl(uac.UrlContinueTestRun);
        testRunPopupMenu.GetItemByName('ContinueTestRun').SetEnabled(uac.CanContinueTestRun);
    }
</script>
