﻿//// http://www.devexpress.com/Support/Center/Example/Details/E145
//function OnTreeContextMenu(s, e) {
//    if (e.objectType == "Node") {
//        var key = e.objectKey;
//    }
//}

var currentNodeKey;
var currentGearImage;
var currentEmtpyImage;

function handleTreeMenuCloseUp() {
    if (currentGearImage) {
        currentGearImage.hide();
    }

    if (currentEmtpyImage) {
        currentEmtpyImage.show();
    }

    currentGearImage = null;
    currentEmtpyImage = null;
}

// --
// http://stackoverflow.com/questions/387707/whats-the-best-way-to-define-a-class-in-javascript

function MenuInfo(type, menu, fillFunction) {

    // Add object properties like this
    this.type = type;
    this.menu = GetDevExControlByClientID(menu);
    this.fillFunction = fillFunction;
}

MenuInfo.prototype.ShowMenuForElement = function (id, cell, uac) {
    logit("Doing callback for menu. ID={0}, cell= {1}, uac='{2}'.".format(id, cell, uac));

    var parsedUac = Sys.Serialization.JavaScriptSerializer.deserialize(uac);

    this.fillFunction(parsedUac);
    this.menu.ShowAtElement(cell);
};

// --

// http://stackoverflow.com/questions/130543/can-anyone-recommend-a-good-hashtable-implementation-in-javascript
var menuInfos = {};
var currentMenuInfo;

function registerMenuInfo(type, menu, fillFunction) {
    menuInfos[type] = new MenuInfo(type, menu, fillFunction);
}

function ShowMenu(cell, nodeKey, type, id, uac) {
    logit("Show menu. Cell: {0}, nodeKey: {1}, type: {2}, id: {3}.".format(cell, nodeKey, type, id));

    if (!menuInfos[type] || IsNullOrUndefined(menuInfos[type].fillFunction)) {
        // Fallback probieren.
        type = '-';
        if (!menuInfos[type] || IsNullOrUndefined(menuInfos[type].fillFunction)) {
            return;
        }
    }

    currentEmtpyImage = $(cell).find('img.EmptyImage');
    currentGearImage = $(cell).find('img.NodeRunMenu');

    currentNodeKey = nodeKey;

    currentMenuInfo = menuInfos[type];
    currentMenuInfo.ShowMenuForElement(id, cell, uac);
}

function OnNodeHover(row, nodeKey) {
    var r = $("#" + row);
    var emptyImage = r.find('img.EmptyImage');
    var hoverGearImage = r.find('img.NodeRunMenu');

    emptyImage.hide();
    hoverGearImage.show();

    r.addClass("dxtlHoverNode");
}

function OnCancelNodeHover(row, nodeKey) {
    var r = $("#" + row);
    var hoverEmptyImage = r.find('img.EmptyImage');
    var hoverGearImage = r.find('img.NodeRunMenu');

    if (currentGearImage == null || currentGearImage.attr('id') != hoverGearImage.attr('id') ||
        !currentMenuInfo || !currentMenuInfo.menu || !currentMenuInfo.menu.GetVisible()) {
        hoverGearImage.hide();
        hoverEmptyImage.show();
    }

    r.removeClass("dxtlHoverNode");
}

function OnCellClick(cell, nodeKey, type, id, uac) {
    ShowMenu(cell, nodeKey, type, id, uac);
    return false;
}

function OnCancelCellHover(cell, nodeKey) {
}
