﻿<%@ Control 
    Language="C#" 
    AutoEventWireup="true" 
    Inherits="ZetaTest.WebMain.UI.MainWindow.Start.DisplayTestUnitControl" Codebehind="TestUnitControl.ascx.cs" %>
<%@ Import Namespace="ZetaTest.Runtime.Code.Helper" %>

<div id="testcase-content-div">
    <div id="titlecompact">
	    <h1><asp:Localize ID="Localize1" runat="server" Text="Test unit" 
				meta:resourcekey="Localize1Resource1" /> &quot;<asp:Literal runat="server" 
				ID="TitleLiteral" meta:resourcekey="TitleLiteralResource1" />&quot;</h1>
    </div>
    <div id="contentcompact" style="overflow-y:scroll;">
	    <div class="section">
		    <div id="description">
			    <table class="info" cellpadding="0" cellspacing="0" border="0">
				    <tr>
					    <th nowrap="nowrap"><asp:Localize ID="Localize2" runat="server" Text="Parent" 
								meta:resourcekey="Localize2Resource1" /></th>
					    <td width="100%"><asp:Literal runat="server" ID="ParentPathLiteral" /></td>
				    </tr>
				    <tr>
					    <th nowrap="nowrap"></th>
					    <td width="100%">&nbsp;</td>
				    </tr>
				    <tr>
					    <th nowrap="nowrap"><asp:Localize ID="Localize3" runat="server" Text="Modified" 
								meta:resourcekey="Localize3Resource1" /></th>
					    <td width="100%"><asp:Literal runat="server" ID="ModifiedLiteral" /></td>
				    </tr>
				    <tr>
					    <th nowrap="nowrap"><asp:Localize ID="Localize4" runat="server" Text="Created" 
								meta:resourcekey="Localize4Resource1" /></th>
					    <td width="100%"><asp:Literal runat="server" ID="CreatedLiteral" /></td>
				    </tr>
			    </table>
		    </div>

		    <div class="bluebox" id="DescriptionPanel" runat="server" visible="false">
			    <h4><asp:Localize ID="Localize5" runat="server" Text="Description:" 
						meta:resourcekey="Localize5Resource1" /></h4>
			    <div class="description" runat="server" ID="DescriptionControl" /></div>
		    </div>
	   

	        <asp:Panel runat="server" ID="ChildTestCasesPanel" CssClass="section">
		        <div class="greenbox">
			        <h4><asp:Literal runat="server" ID="TestCasesHeadlineLiteral" /> - 
						<asp:Localize ID="Localize6" runat="server" Text="test cases" 
							meta:resourcekey="Localize6Resource1" /></h4>

                    <asp:Repeater
                        runat="server"
                        ID="ChildTestCasesRepeater">
                        <HeaderTemplate>
							<ol>
						</HeaderTemplate>
						<ItemTemplate>
							<li><span class="time">
								<%# ZetaTestStringHelper.FormatTimeSpan((TimeSpan)Eval(@"EstimatedDuration")) %>
								</span>- <%# Eval(@"Title") %></li>
						</ItemTemplate>
                        <FooterTemplate>
                            </ol>
                        </FooterTemplate>
                    </asp:Repeater>

			        <p><asp:Localize ID="Localize7" runat="server" Text="Estimated duration:" 
							meta:resourcekey="Localize7Resource1" /> <strong>
						<asp:Literal runat="server" ID="TotalDurationLiteral" /></strong></p>
		        </div>
	        </asp:Panel>

	        <asp:Panel runat="server" ID="AttachmentsPanel" CssClass="section">
		        <h2><asp:Localize ID="Localize8" runat="server" />Attachments</h2>
                <asp:Repeater
                    runat="server"
                    ID="AttachmentRepeater">
                    <FooterTemplate>
			                </tbody>
		                </table>
                    </FooterTemplate>
                    <HeaderTemplate>
						<table border="0" cellpadding="0" cellspacing="0" class="annex">
							<thead>
								<tr>
									<th style="width:60%">
										<asp:Localize ID="Localize1" runat="server" 
											meta:resourcekey="Localize1Resource2" Text="File"/>
									</th>
									<th style="width:20%">
										<asp:Localize ID="Localize9" runat="server" 
											meta:resourcekey="Localize9Resource1" Text="Size"/>
									</th>
									<th style="width:20%">
										<asp:Localize ID="Localize10" runat="server" 
											meta:resourcekey="Localize10Resource1" Text="Date"/>
									</th>
								</tr>
							</thead>
							<tbody>
							</tbody>
						</table>
					</HeaderTemplate>
					<ItemTemplate>
						<tr class="[$=row$]">
							<td nowrap="nowrap">
								<asp:Image runat="server" ImageAlign="AbsMiddle" 
									ImageUrl="~/design/document.png" />
								<a href='app:OpenAttachment?id=<%# Eval(@"ID") %>' title="Open for editing">
								<%# Eval(@"UserReadableName") %></a>
							</td>
							<td nowrap="nowrap">
								<%# Eval(@"PrintableFileSize") %>
							</td>
							<td nowrap="nowrap">
								<%# ZetaTestStringHelper.FormatDateAndTime((DateTime)Eval(@"FileChangeDate")) %>
							</td>
						</tr>
					</ItemTemplate>
                 </asp:Repeater> 

		        <p><asp:Literal runat="server" ID="AttachmentCount" /> 
					<asp:Localize ID="Localize11" runat="server" Text="attachments." 
						meta:resourcekey="Localize11Resource1" /></p>
	        </asp:Panel>
        </div>
       
    </div>