﻿<%@ Page
    Title="Test runs"
    Language="C#"
    MasterPageFile="~/UI/Helper/MasterPages/AuthenticatedSplittedMasterPage.master"
    AutoEventWireup="true"
    Inherits="ZetaTest.WebMain.UI.MainWindow.TestPlansAndRuns.Index"
    EnableViewState="true" culture="auto" meta:resourcekey="PageResource3" uiculture="auto" Codebehind="Index.aspx.cs" %>

<%@ Register TagPrefix="zt" TagName="TestPlansAndRunsTreeContainer" Src="TreeControl.ascx" %>

<asp:Content ID="Content2" ContentPlaceHolderID="NavBarHeader" Runat="Server">
    <asp:Localize ID="Localize1" runat="server" Text="Test plans"
		meta:resourcekey="Localize1Resource2" />
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="NavBarContent" Runat="Server">
    <zt:TestPlansAndRunsTreeContainer
        runat="server"
        ID="PackageTreeContainer"
        OnClientFocusedNodeChanged="function(s,e){ OnPackageTreeContainerFocusedNodeChanged(s,e); }"
        OnClientInit="function(s,e){ OnPackageTreeContainerInit(s,e); }" >
    </zt:TestPlansAndRunsTreeContainer>
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="MCPH" Runat="Server">

    <dx:ASPxLoadingPanel
        runat="server"
        ID="MainLoadingPanel"
        ClientInstanceName="MainLoadingPanel"
        HorizontalAlign="Center"
        LoadingDivStyle-BackColor="White"
        Modal="True"
        VerticalAlign="Top"/>

    <div id="package-tab-outer-div" class="package-tab-outer-div">
        <dxtc:ASPxPageControl
            runat="server"
            ID="TabControl"
            ClientInstanceName="PackageMainContentTabControl"
            Width="100%" ActiveTabIndex="0">
            <ContentStyle>
                <Paddings Padding="0" />
            </ContentStyle>
            <SpaceAfterTabsTemplate>
                <dxcp:ASPxCallbackPanel
                    runat="server"
                    ID="PackageTabHeaderCallbackPanel"
                    ClientInstanceName="PackageTabHeaderCallbackPanel"
                    EnableCallbackCompression="true"
                    SettingsLoadingPanel-Enabled="False"
                    OnCallback="onPackageTabHeaderCallback">
                    <PanelCollection>
                        <dxp:PanelContent ID="PanelContent1" runat="server"
                                          SupportsDisabledAttribute="True">
							<asp:Literal ID="PackageTabHeaderLiteral" runat="server" />
						</dxp:PanelContent>
                    </PanelCollection>
                </dxcp:ASPxCallbackPanel>
            </SpaceAfterTabsTemplate>
            <TabPages>
	            <dxtc:TabPage
                    Text="Dashboard"
                    Name="Dashboard">
		            <ContentCollection>
			            <dxw:ContentControl
                            ID="DashboardContentControl"
                            runat="server"
                            EnableViewState="true"
                            Width="100%"
                            OnCallback="onDashboardCallbackPanelCallback">
                            <PanelCollection>
                                <dxcp:PanelContent ID="PC1" runat="server">
                                    <div style="overflow:auto">
                                        <dxcp:ASPxCallbackPanel
                                            runat="server"
                                            ID="DashboardCallbackPanel"
                                            ClientInstanceName="PackageMainContentDashboardCallbackPanel"
                                            EnableCallbackCompression="true"
                                            EnableViewState="true"
                                            Width="100%"
                                            OnCallback="onDashboardCallbackPanelCallback">
                                            <PanelCollection>
                                                <dxcp:PanelContent ID="PanelContent2" runat="server">
                                                    <div id="package-dashboard-content" style="overflow:auto" >
                                                        <p class="no-attachments-info" style="padding:10px"><asp:Localize
															meta:resourcekey="Localize2Resource1"
															ID="Localize2" runat="server" Text="No test cases present." /></p>
                                                    </div>
                                                </dxcp:PanelContent>
                                            </PanelCollection>
                                            <ClientSideEvents EndCallback="OnPackageDasboardEndCallback" />
                                        </dxcp:ASPxCallbackPanel>
                                    </div>
                                </dxcp:PanelContent>
                            </PanelCollection>
			            </dxw:ContentControl>
		            </ContentCollection>
	            </dxtc:TabPage>
            </TabPages>
            <ClientSideEvents
                ActiveTabChanged="OnPackageMainContentTabControlActiveTabChanged"
                Init="OnPackageMainContentTabControlInit"/>
        </dxtc:ASPxPageControl>
    </div>
</asp:Content>