﻿<%@ Control 
	Language="C#" 
	AutoEventWireup="true" 
	Inherits="ZetaTest.WebMain.UI.TestPlansAndRuns.PlannedTestCases.TestResultHtmlEditControl" Codebehind="TestResultHtmlEditControl.ascx.cs" %>

<dxe:ASPxMemo
    runat="server"
    ID="TextMarkdownTextBox"
	ClientInstanceName="TestResultHtmlEditor"
    Rows="20"
    Width="100%"
    Height="100%">
    <ClientSideEvents />
</dxe:ASPxMemo>

<dxhe:ASPxHtmlEditor 
	ID="TextHtmlTextBox" 
	ClientInstanceName="TestResultHtmlEditor"
	BackColor="Transparent"
	runat="server"
	Width="100%" 
	Height="100%" meta:resourcekey="TextHtmlTextBoxResource1">

    <SettingsImageSelector>
	    <CommonSettings AllowedFileExtensions=".jpg, .jpeg, .png, .gif"/>
    </SettingsImageSelector>

    <SettingsDocumentSelector>
	    <CommonSettings AllowedFileExtensions=".rtf, .pdf, .doc, .docx, .odt, .txt, .xls, .xlsx, .ods, .ppt, .pptx, .odp" />
    </SettingsDocumentSelector>

	<Border BorderStyle="None" />
	<Toolbars>
		<dxhe:HtmlEditorToolbar Caption="Standard1" Name="Standard1" 
			meta:resourcekey="StandardToolbar1Resource1">
				<Items>
					<dxhe:ToolbarBoldButton meta:resourcekey="ToolbarBoldButtonResource1">
					</dxhe:ToolbarBoldButton>
					<dxhe:ToolbarItalicButton meta:resourcekey="ToolbarItalicButtonResource1">
                    </dxhe:ToolbarItalicButton>
                    <dxhe:ToolbarUnderlineButton meta:resourcekey="ToolbarUnderlineButtonResource1">
                    </dxhe:ToolbarUnderlineButton>
					<dxhe:ToolbarBackColorButton BeginGroup="True" Text="BackColor" 
						meta:resourcekey="ToolbarBackColorButtonResource1">
					</dxhe:ToolbarBackColorButton>
					<dxhe:ToolbarPasteFromWordButton BeginGroup="True" 
						meta:resourcekey="ToolbarPasteFromWordButtonResource1">
					</dxhe:ToolbarPasteFromWordButton>
					<dxhe:ToolbarInsertOrderedListButton BeginGroup="True" 
						meta:resourcekey="ToolbarInsertOrderedListButtonResource1">
					</dxhe:ToolbarInsertOrderedListButton>
					<dxhe:ToolbarInsertUnorderedListButton meta:resourcekey="ToolbarInsertUnorderedListButtonResource1">
					</dxhe:ToolbarInsertUnorderedListButton>
					<dxhe:ToolbarOutdentButton BeginGroup="True" 
						meta:resourcekey="ToolbarOutdentButtonResource1">
					</dxhe:ToolbarOutdentButton>
					<dxhe:ToolbarIndentButton meta:resourcekey="ToolbarIndentButtonResource1">
					</dxhe:ToolbarIndentButton>
					<dxhe:ToolbarInsertLinkDialogButton BeginGroup="True" 
						meta:resourcekey="ToolbarInsertLinkDialogButtonResource1">
					</dxhe:ToolbarInsertLinkDialogButton>
					<dxhe:ToolbarUnlinkButton meta:resourcekey="ToolbarUnlinkButtonResource1">
					</dxhe:ToolbarUnlinkButton>
				</Items>
			</dxhe:HtmlEditorToolbar>
	</Toolbars>
	<StylesToolbars 
		BarDockControl-BackColor="Transparent" 
		BarDockControl-Border-BorderStyle="None"
		Toolbar-BackColor="Transparent">
<BarDockControl BackColor="Transparent">
<Border BorderStyle="None"></Border>
</BarDockControl>

<Toolbar BackColor="Transparent"></Toolbar>
	</StylesToolbars> 
			
	<SettingsImageUpload>
		<ValidationSettings AllowedFileExtensions=".jpg, .jpeg, .png, .gif">
		</ValidationSettings>
	</SettingsImageUpload>
				
	<Settings AllowPreview="false" AllowHtmlView="false" />
				
	<SettingsHtmlEditing UpdateDeprecatedElements="false" />
</dxhe:ASPxHtmlEditor>
