﻿<%@ Control 
    Language="C#" 
    AutoEventWireup="true" 
    Inherits="ZetaTest.WebMain.UI.TestPlansAndRuns.TestRuns.ConfirmFinishTestRun" Codebehind="ConfirmFinishTestRunControl.ascx.cs" %>

<dxpc:ASPxPopupControl
	runat="server"
    ID="ConfirmCloseFinishPopupControl"
	ClientInstanceName="ConfirmFinishTestRunDialog"
    Modal="True"
	Width="300px"
	PopupHorizontalAlign="WindowCenter"
	PopupVerticalAlign="WindowCenter"
	HeaderText="Confirm close"
	PopupAnimationType="None"
    ShowFooter="True" 
    ModalBackgroundStyle-BackColor="White" 
	meta:resourcekey="ConfirmCloseFinishPopupControlResource1">
	<ContentCollection>
		<dxpc:PopupControlContentControl ID="PopupControlContentControl1" 
			runat="server">
			<p><asp:Localize ID="Localize1" runat="server" 
					Text="All tests are completed. Do you want to finish the test run?" 
					meta:resourcekey="Localize1Resource1" /></p>
		</dxpc:PopupControlContentControl>
	</ContentCollection>
<ModalBackgroundStyle BackColor="White"></ModalBackgroundStyle>
    <FooterTemplate>
        <div style="float: right; margin: 3px;">
            <table >
                <tbody>
                    <tr>
						<td >
                            <dxe:ASPxButton 
                                CssClass="FormButton" 
                                ID="CmdCloseFinishYes" 
                                runat="server"
                                AutoPostBack="False" 
                                Text="Yes" meta:resourcekey="CmdCloseFinishYesResource1" >
									<ClientSideEvents 
                                        Click="function(s,e){ e.processOnServer = false;ConfirmFinishTestRunDialog.DialogResult=DialogResult.Yes;ConfirmFinishTestRunDialog.Hide(); }" />
                            </dxe:ASPxButton>    
                        </td>
						<td >
                            <dxe:ASPxButton 
                                CssClass="FormButton" 
                                ID="CmdCloseNotFinish" 
                                runat="server"
                                AutoPostBack="False" 
                                Text="No" meta:resourcekey="CmdCloseNotFinishResource1" >
								<ClientSideEvents 
                                    Click="function(s,e){ e.processOnServer = false;ConfirmFinishTestRunDialog.DialogResult=DialogResult.No;ConfirmFinishTestRunDialog.Hide(); }" />
                            </dxe:ASPxButton>  
                        </td>
						<td >
                            <dxe:ASPxButton 
                            CssClass="FormButton" 
                            ID="CmdCloseFinishNo" 
                            runat="server" 
                            AutoPostBack="False" 
                            Text="Cancel" meta:resourcekey="CmdCloseFinishNoResource1">
								<ClientSideEvents 
                                    Click="function(s,e){ e.processOnServer = false;ConfirmFinishTestRunDialog.DialogResult=DialogResult.Cancel;ConfirmFinishTestRunDialog.Hide(); }" />
						</dxe:ASPxButton></td>
					</tr>
                </tbody>
            </table>
        </div>
    </FooterTemplate>
</dxpc:ASPxPopupControl>