﻿<%@ Page 
	Culture="Auto" 
	UICulture="Auto"
	Title="Start Test Run – Zeta Test Management" 
	Language="C#" 
	MasterPageFile="~/UI/Helper/MasterPages/AuthenticatedCleanMasterPage.master" 
	AutoEventWireup="True" 
	Inherits="ZetaTest.WebMain.UI.TestPlansAndRuns.TestRuns.QueryTestRunStartParameters" meta:resourcekey="PageResource1" 
	 Codebehind="QueryTestRunStartParameters.aspx.cs" %>
<%@ Register Src="~/UI/TestPlansAndRuns/PlannedTestCases/PlannedTestCaseVariantsSequenceControl.ascx" 
	TagName="PlannedTestCaseVariantsSequenceControl" TagPrefix="zt" %>

<asp:Content ID="Content2" ContentPlaceHolderID="MCPH" Runat="Server">

	<%-- **************************************************************** --%>

<div class="floating-content">
	<h2><asp:Localize ID="Localize1" runat="server" Text="Start Test Run" 
			meta:resourcekey="Localize1Resource1" /></h2>

	<table class="form">
		<tr>
			<th nowrap="nowrap"><asp:Localize ID="Localize2" runat="server" Text="Test plan" 
					meta:resourcekey="Localize2Resource1" /></th>
			<td>
				<dxe:ASPxComboBox 
					ID="testPlanComboBox" 
					AutoPostBack="True"
					runat="server" 
					Width="400px" 
					TextField="Name" 
					ValueField="ID" 
					DropDownRows="20"
					OnSelectedIndexChanged="testPlanComboBox_SelectedIndexChanged" 
					meta:resourcekey="testPlanComboBoxResource1" />
			</td>
		</tr>
		<tr>
			<th nowrap="nowrap"><asp:Localize ID="Localize3" runat="server" Text="Title" 
					meta:resourcekey="Localize3Resource1" /></th>
			<td>
				<dxe:ASPxTextBox ID="titleTextBox" runat="server" Width="400px" 
					meta:resourcekey="titleTextBoxResource1" />
			</td>
		</tr>
		<tr runat="server" id="EnvPanel1">
			<td colspan="2">&nbsp;</td>
		</tr>
		<tr runat="server" id="EnvPanel2">
			<th nowrap="nowrap"><asp:Localize ID="Localize4" runat="server" Text="Environment" 
					meta:resourcekey="Localize4Resource1" /></th>
			<td>
				<dxe:ASPxComboBox ID="environmentComboBox" runat="server" Width="400px" 
					DropDownRows="20" meta:resourcekey="environmentComboBoxResource1" />
			</td>
		</tr>
	</table>

	<asp:Panel runat="server" ID="VariantsPanel">
		<h3><asp:Localize ID="Localize5" runat="server" Text="Variants" 
				meta:resourcekey="Localize5Resource1" /></h3>
	
		<zt:PlannedTestCaseVariantsSequenceControl runat="server" ID="variantSequenceControl" />
	</asp:Panel>

	<div class="visualseparator"></div>

	<table cellspacing="0" cellpadding="0" class="buttons">
	    <tr>
	        <td><dxe:ASPxButton ID="startButton" ClientInstanceName="startButton" 
	                            CssClass="FormButton" runat="server" Text="Start" OnClick="startButton_Click" 
	                            meta:resourcekey="startButtonResource1"/> &nbsp;
		</td>
		<td><dxe:ASPxButton ID="cancelButton" CssClass="FormButton" runat="server" Text="Cancel" 
			ToolTip="Close the window or tab" meta:resourcekey="cancelButtonResource1" >
		        <ClientSideEvents Click="function(s,e){window.close()}"/></dxe:ASPxButton></td>
	</tr>
	</table>
</div>

<%-- **************************************************************** --%>
</asp:Content>