﻿<%@ Control 
Language="C#"
AutoEventWireup="true" 
Inherits="ZetaTest.WebMain.UI.Bugtracker.SingleBugTrackerItemControl" Codebehind="SingleBugTrackerItemControl.ascx.cs" %>

<script type="text/javascript">

    function OnOpenBugTrackerIssueUrlClick(s, e) {
        window.open(BugTrackerIssueUrl, "_blank");
    }

    function OnBugTargetPopUpMenuItemClick(s, e) {
        e.processOnServer = false;

        switch (e.item.name) {
            case "BugTrackerUrl":
                window.open(BugTrackerUrl, "_blank");
                break;
            case "BugTrackerProjectUrl":
                window.open(BugTrackerProjectUrl, "_blank");
                break;
            case "BugTrackerIssueUrl":
                window.open(BugTrackerIssueUrl, "_blank");
                break;
        }
    }

</script>

<table class="BugTrackerTable">
    <tbody>
        <tr>
            <td>
                <dxe:ASPxCheckBox 
                    runat="server"
                    ID="AddToBugTrackerCheckBox" 
                    ClientInstanceName="AddToBugTrackerCheckBox" 
                    Text="Add to bug tracker" CheckState="Unchecked" 
					meta:resourcekey="AddToBugTrackerCheckBoxResource1"/>
            </td>
            <td>
                <dxe:ASPxTextBox
                     runat="server" 
                     ID="bugTrackerIDTextBox"
                     ReadOnly="True" 
                     Width="42px" 
                     ClientInstanceName="BugTrackerIssueIDTextBox" 
					meta:resourcekey="bugTrackerIDTextBoxResource1"></dxe:ASPxTextBox>
            </td>
            <td>
                <table cellspacing="0" cellpadding="0">
                    <tbody>
                        <tr>
                            <td>
                                 <dxe:ASPxButton 
                                    runat="server" 
                                    ID="goToBugTicketButton" 
                                    Image-Url="~/design/bug/bug.png" 
                                    AutoPostBack="False"
                                    ImageSpacing="0px"  
                                    ToolTip="Go to bug ticket"
                                    ClientInstanceName="goToBugTicketButton"
                                    CausesValidation="False" meta:resourcekey="goToBugTicketButtonResource1"
                                    >
                                    <ClientSideEvents Click="OnOpenBugTrackerIssueUrlClick"/>
                                </dxe:ASPxButton> 
                            </td> 
                             <td >
                                 <dxe:ASPxButton 
                                    runat="server" 
                                    ID="openBugTargetPopUpMenuButton" 
                                    AutoPostBack="False"
                                    ImageSpacing="0px"  
                                    ClientInstanceName="openBugTargetPopUpMenuButton"
                                    CausesValidation="False">
                                        <Image  Url="~/design/navigate_close.png"></Image>
                                        <Paddings PaddingLeft="0px" PaddingRight="0px" /> 
                                        <FocusRectPaddings PaddingLeft="0px" PaddingRight="0px"/> 
                                    </dxe:ASPxButton> 

                                  <dxm:ASPxPopupMenu 
                                    ID="BugTargetPopUpMenu" 
                                    ClientInstanceName="BugTargetPopUpMenu" 
                                    PopupElementID="openBugTargetPopUpMenuButton"
                                    runat="server" 
                                    PopupAction="LeftMouseClick"
                                    PopupHorizontalAlign="OutsideRight"
                                    PopupVerticalAlign="BottomSides"
                                    CloseAction="MouseOut" meta:resourcekey="BugTargetPopUpMenuResource1">
                                    <ClientSideEvents ItemClick="OnBugTargetPopUpMenuItemClick" />
                                    <Items>
                                        <dxm:MenuItem 
                                            GroupName="BugTicket" 
                                            Text="Go to bug ticket" 
                                            Name="BugTrackerIssueUrl" 
                                            Image-Url="~/design/bug/bug.png"
                                            Image-UrlChecked="~/design/bug/bug.png"
                                            Target="_blank" meta:resourcekey="MenuItemResource1" >
                                        </dxm:MenuItem>
                                        <dxm:MenuItem 
                                            GroupName="BugTracker" 
                                            Text="Go to project start page" 
                                            Name="BugTrackerProjectUrl"
                                            Image-Url="~/design/bug/project.png"
                                            Image-UrlChecked="~/design/bug/project.png"
                                            Target="_blank" meta:resourcekey="MenuItemResource2">
                                        </dxm:MenuItem>
                                        <dxm:MenuItem 
                                            GroupName="BugTracker" 
                                            Text="Go to bug tracker start page" 
                                            Name="BugTrackerUrl" 
                                            Image-Url="~/design/bug/root.png"
                                            Image-UrlChecked="~/design/bug/root.png"
                                            Target="_blank" meta:resourcekey="MenuItemResource3">
                                        </dxm:MenuItem>
                                    </Items>   
                                     
                                  </dxm:ASPxPopupMenu>

                            </td>                                                                              
                        </tr>
                    </tbody>
                </table>
               
            </td>
        </tr>
    </tbody>
</table>
