﻿function gridviewSynhronizeHeight(gridView, gridParentControl) {

	var rootTable = gridView.GetRootTable();
	var scrollDiv = gridView.getScrollableControl();

	if (IsNullOrUndefined(gridParentControl) || IsNullOrUndefined(rootTable) || IsNullOrUndefined(scrollDiv)) return;
	
	var height = (scrollDiv.offsetHeight + (gridParentControl.clientHeight - rootTable.offsetHeight));

	gridView.SetHeight(height);
}

function OnMainSplitterResized(s, e) {

	if ( window.ImplHandleMainSplitterResized ) {
		ImplHandleMainSplitterResized(s, e);
	}
	
	/*
	var height = e.pane.GetClientHeight();
	var name = e.pane.name;

	if (name == 'NavBarSplitterPane') {
		if (window.NavBarSplitterPane_SetHeight) {
			NavBarSplitterPane_SetHeight(height - 6 * 26);
		}
	}

	if (name == 'MainContentSplitterPane') {
		if (window.MainRightControl_ResizeContent) {
			MainRightControl_ResizeContent(MainRightControl_ResizeContent - 160);
		}
	}*/
}

function OnMainSplitterInit(s, e) {
	if (window.ImplHandleMainSplitterInit) {
		ImplHandleMainSplitterInit(s, e);
	}

	/*
	var pane = MS.GetPaneByName("NavBarSplitterPane");
	if (window.NavBarSplitterPane_SetWidth) {
	NavBarSplitterPane_SetWidth(pane);
	}
	*/
}

function IsNullOrUndefined(control) {
    return (control == null || typeof control == "undefined");
}

function stringIsNullOrEmpty(string) {
    return (string == null || string == "");
}

function ExistASPxClientControl(editorClientId) {
    var control = ASPxClientControl.GetControlCollection().GetByName(editorClientId);
    return !IsNullOrUndefined(control) && !IsNullOrUndefined(control.GetMainElement());
}

function GetDevExControlByClientID(id) {
    return ASPxClientControl.GetControlCollection().GetByName(id);
}

document.getElementsByClassName = function (cl) {
	var retnode = [];
	var myclass = new RegExp('\\b' + cl + '\\b');
	var elem = this.getElementsByTagName('*');
	for (var i = 0; i < elem.length; i++) {
		var classes = elem[i].className;
		if (myclass.test(classes)) retnode.push(elem[i]);
	}
	return retnode;
};

var ChangeProjectIsLoaded = false;

function SuccessMessage(message) {
    $(function () {
        $.notifyBar({
            html: message,
            delay: 5000,
            cls: 'nfb-success'
        });
    });
}

function ResolveUrl(url) {
    if (url.indexOf("~/") == 0) {
        url = baseUrl + url.substring(2);
    }
    return url;
}

function PopupCenter(pageUrl, w, h) {
    var left = (screen.width / 2) - (w / 2);
    var top = (screen.height / 2) - (h / 2);
    window.open(pageUrl, 'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=no, resizable=no, copyhistory=no, width=' + w + ', height=' + h + ', top=' + top + ', left=' + left);
} 