﻿<%@ Control 
    Language="C#" 
    AutoEventWireup="true" 
    Inherits="ZetaTest.WebMain.UI.MainWindow.Packages.PackageTreeControl" Codebehind="PackageTreeControl.ascx.cs" %>

<script type="text/javascript">

    function NavBarSplitterPane_SetHeight(height) {
        if (ExistASPxClientControl("PackageTreeList")) {
            PackageTreeList.SetHeight(height);
        }
    }

</script>

<dx:ASPxTreeList 
    runat="server" 
    ID="PackageTreeList" 
    ClientInstanceName="PackageTreeList"
    Width="100%"
    KeyFieldName="ID" 
    OnVirtualModeCreateChildren="packageTreeListVirtualModeCreateChildren"
    OnVirtualModeNodeCreating="packageTreeListVirtualModeNodeCreating" 
    OnHtmlRowPrepared="packageTreeListHtmlRowPrepared" 
	AutoGenerateColumns="False" meta:resourcekey="PackageTreeListResource1">
    <Settings ShowRoot="true" ShowColumnHeaders="false" SuppressOuterGridLines="true" ShowTreeLines="False" />
    <SettingsBehavior AllowFocusedNode="true" FocusNodeOnLoad="false" FocusNodeOnExpandButtonClick="false" />
    <SettingsCookies Enabled="true" StoreExpandedNodes="true" />
    <Columns>
        <dx:TreeListDataColumn FieldName="Title">
			<DataCellTemplate>
				<dxe:ASPxImage runat="server" ID="Icon" ImageAlign="AbsMiddle" Width="16px" 
					Height="16px" />
				&nbsp;<span class='<%# Eval(@"TitleCssClass")%>'><%# Eval(@"Title")%></span>
			</DataCellTemplate>
		</dx:TreeListDataColumn>
    </Columns>
</dx:ASPxTreeList>