﻿<%@ Control 
    Language="C#" 
    AutoEventWireup="true" 
    Inherits="ZetaTest.WebMain.UI.MainWindow.Reviews.TestCaseReviewDetailControl" Codebehind="TestCaseReviewDetailControl.ascx.cs" %>

<div id="ReviewItemContainer" style="margin:5px;padding:5px" >
        <table runat="server" width="100%" border="0" >
            <tbody style="width:100%">
                <tr style="width:100%">
                    <td style="width:100%" colspan="2">
                    <div id="ReviewMemoItemContainer">
                            <dxe:ASPxMemo 
                                runat="server" 
                                ID="TestCaseEditReviewCommentControl" 
                                ClientInstanceName="TestCaseEditReviewCommentControl" 
                                Width="100%" 
                                Rows="7"
                                ToolTip="Write a comment" 
								meta:resourcekey="TestCaseEditReviewCommentControlResource1">
                                <ClientSideEvents Validation="TestCaseEditReviewStatusControl_Validate"  KeyUp="function(s,e){ ASPxClientEdit.ValidateEditorsInContainerById('ReviewMemoItemContainer');}"/>
                                <ValidationSettings 
                                    Display="Dynamic" 
                                    ErrorDisplayMode="ImageWithTooltip" 
                                    SetFocusOnError="true" 
                                    ValidateOnLeave="true"
                                    ErrorText="Field is required"></ValidationSettings>
                            </dxe:ASPxMemo>
                        </div>
                    </td>
                </tr>
                <tr>
                     <td>
                        <dxe:ASPxComboBox 
                                runat="server" 
                                ID="TestCaseEditReviewStatusControl" 
                                ClientInstanceName="TestCaseEditReviewStatusControl" Width="130px" 
							 ToolTip="Select review result state" 
							 meta:resourcekey="TestCaseEditReviewStatusControlResource1">
                                    <ValidationSettings 
                                        SetFocusOnError="true" 
                                        ErrorDisplayMode="ImageWithTooltip" 
                                        Display="Dynamic"  >
                                            <RequiredField IsRequired="true"  ErrorText="Field is required" />
                                    </ValidationSettings>
                            </dxe:ASPxComboBox>
                        </td>
                        <td style="width:100%">
                            <dxe:ASPxButton 
                                runat="server" 
                                ID="CmdSave" 
                                ClientInstanceName="TestCaseEditReviewCmdSave" 
                                AutoPostBack="False" 
                                Text="Save" 
                                ToolTip="Save the review" meta:resourcekey="CmdSaveResource1" >
                                    <ClientSideEvents Click="SaveReviewItem"/>
                            </dxe:ASPxButton>
                        </td>
                </tr>
            </tbody>
        </table>
        <dxcb:ASPxCallback 
            runat="server" 
            ID="TestCaseEditReviewCallback" 
            ClientInstanceName="TestCaseEditReviewCallback" 
            OnCallback="TestCaseEditReviewCallback_Callback">
                <ClientSideEvents CallbackComplete="ClearReviewItem" />
        </dxcb:ASPxCallback>
</div>