﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="ZetaTest.WebMain.UI.MainWindow.Search.SearchControl" Codebehind="SearchControl.ascx.cs" %>

<div>
    <asp:Panel runat="server" ID="SearchPanel" DefaultButton="CmdSearch">
        <div id="SearchFilterControl">
            <table width="100%">
                <tbody>
                    <tr>
                        <td style="width:100%"><dxe:ASPxTextBox 
							NullText="Search for"
							runat="server" ID="SearchTextControl" 
							ClientInstanceName="SearchTextControl" Width="100%"  AccessKey="f" 
								meta:resourcekey="SearchTextControlResource1"/></td>
                        <td><dxe:ASPxButton runat="server" ID="CmdSearch" Text="Search" 
								AutoPostBack="False" meta:resourcekey="CmdSearchResource1"><ClientSideEvents 
							Click="function(s,e){SearchResultControl.SetFocusedRowIndex(-1); SearchResultControl.PerformCallback();}" />
							</dxe:ASPxButton></td>
                   </tr>
                </tbody>
            </table>
        </div>

        <div>
            <dxgv:ASPxGridView 
                ID="SearchResultControl"
                ClientInstanceName="SearchResultControl"
                runat="server"
                KeyFieldName="ID" 
                OnCustomCallback="SearchResultControl_CustomCallback"           
                OnFocusedRowChanged="SearchResultControl_FocusedRowChanged"
                Width="100%" AutoGenerateColumns="False" 
				meta:resourcekey="SearchResultControlResource1">
                <ClientSideEvents 
                    FocusedRowChanged="FocusedRowChanged" 
                    EndCallback="SearchResultControl_EndCallback" 
                    Init="SearchResultControl_Init" />
                   
            	<Columns>
					<dxgv:GridViewDataColumn Caption="Name" FieldName="Name" 
						meta:resourcekey="GridViewDataColumnResource1" ShowInCustomizationForm="True" 
						VisibleIndex="0" Width="200px">
						<Settings AutoFilterCondition="Contains" />
					</dxgv:GridViewDataColumn>
					<dxgv:GridViewDataColumn Caption="Type" FieldName="UserReadableType" 
						meta:resourcekey="GridViewDataColumnResource2" ShowInCustomizationForm="True" 
						Visible="False">
						<Settings AutoFilterCondition="Contains" />
					</dxgv:GridViewDataColumn>
					<dxgv:GridViewDataColumn Caption="Path" FieldName="Path" 
						meta:resourcekey="GridViewDataColumnResource3" ShowInCustomizationForm="True" 
						VisibleIndex="1">
						<Settings AutoFilterCondition="Contains" />
					</dxgv:GridViewDataColumn>
				</Columns>
				<SettingsBehavior AllowDragDrop="False" AllowFocusedRow="True" />
				<SettingsPager AlwaysShowPager="True" NumericButtonCount="5" PageSize="30">
				</SettingsPager>
				<Settings ShowFilterRow="True" ShowFilterRowMenu="True" 
					VerticalScrollBarMode="Visible" />
                   
            </dxgv:ASPxGridView>
        </div>
    </asp:Panel>
</div>