﻿<%@ Control
    Language="C#"
    AutoEventWireup="true"
    Inherits="ZetaTest.WebMain.UI.MainWindow.Start.DashboardFilter.DashboardFilterControl"
    Codebehind="DashboardFilterControl.ascx.cs" %>

<dx:ASPxButton
    runat="server"
    ID="bFilter"
    ClientInstanceName="bFilter"
    AutoPostBack="False"
    Text="Filter"
    ImagePosition="Right"
    CssClass="devExpressLinkBreakFix" >
    <Image Url="~/design/arrowdown.png" />
</dx:ASPxButton>

<dxpc:ASPxPopupControl
    runat="server"
    ID="pcFilters"
    ClientInstanceName="pcFilters"
    PopupElementID="bFilter"
    PopupHorizontalAlign="LeftSides"
    PopupVerticalAlign="Below"
    PopupAnimationType="None"
    ShowHeader="False"
    SettingsLoadingPanel-Enabled="False"
    ShowShadow="False"
    Height="0px"
    Width="0px"
    OnWindowCallback="OnpcFiltersWindowCallback">
    <ContentStyle>
        <Paddings Padding="0"></Paddings>
    </ContentStyle>
    <ContentCollection>
        <dxpc:PopupControlContentControl runat="server">
            <asp:Repeater runat="server" ID="rpcFilters">
                <HeaderTemplate>
                    <ul class="dashboard-filter-items">
                </HeaderTemplate>
                <ItemTemplate>
                    <li runat="server" class="dashboard-filter-separator" Visible='<%# Eval(@"BeginGroup") %>'></li>
                    <li class="dashboard-filter-item">
                        <a href='<%# Eval(@"NavigateUrl") %>'><%# Eval(@"Text") %></a>
                    </li>
                </ItemTemplate>
                <FooterTemplate>
                    </ul>
                </FooterTemplate>
            </asp:Repeater>
        </dxpc:PopupControlContentControl>
    </ContentCollection>
</dxpc:ASPxPopupControl>

<dxpc:ASPxPopupControl
    ID="pcFilterEdit"
    runat="server"
    ClientInstanceName="pcFilterEdit"
    CloseAction="CloseButton"
    EnableHierarchyRecreation="True"
    Modal="True"
    PopupHorizontalAlign="WindowCenter"
    PopupVerticalAlign="WindowCenter"
    Height="600px"
    Width="950px"
    PopupAnimationType="None">
    <ModalBackgroundStyle BackColor="White" />
    <ClientSideEvents
        PopUp="pcFilterPopUp"
        CloseUp="pcFilterCloseUp"
        Init="pcFilterInit"
        Shown="pcFilterShown" />
    <ContentStyle
        Paddings-Padding="0" />
    <HeaderTemplate>
        <img src="../../Design/funnel.png" />&nbsp;<asp:Localize runat="server" ID="lFilterEditHeader" meta:resourcekey="lFilterEditHeader"/>
    </HeaderTemplate>
    <HeaderStyle BackColor="#3a628f" ForeColor="#ffffff">
    </HeaderStyle>
</dxpc:ASPxPopupControl>