﻿<%@ Control 
    Language="C#" 
    AutoEventWireup="true" 
    CodeBehind="NoOptionsTreeMenu.ascx.cs" 
    Inherits="ZetaTest.WebMain.UI.MainWindow.Start.LeftTree.PopupMenus.NoOptionsTreeMenu" 
    %>
<%@ Register TagPrefix="ztwa" Namespace="ZetaTest.WebMain.UI.MainWindow.Start.LeftTree.PopupMenus.Base" Assembly="ZetaTest.WebMain" %>

<ztwa:TreePopupMenu
    runat="server"
    ID="NoOptionsPopupMenu"
    CssClass="disable-selection"
    ClientInstanceName="noOptionsPopupMenu">
    
    <Items>
        <dxm:MenuItem Name="None" Text="(No options)"
            NavigateUrl="#" meta:resourcekey="NoneResource">
        </dxm:MenuItem>
    </Items>
</ztwa:TreePopupMenu>

<script type="text/javascript">
    function fillNoOptionsPopupMenu(uac) {
        noOptionsPopupMenu.GetItemByName('None').SetEnabled(false);
    }
</script>