﻿<%@ Control
    Language="C#"
    AutoEventWireup="true"
    CodeBehind="TestCaseTreeMenu.ascx.cs"
    Inherits="ZetaTest.WebMain.UI.MainWindow.Start.LeftTree.PopupMenus.TestCaseTreeMenu" %>
<%@ Import Namespace="ZetaTest.WebMain.UI.Entrance" %>
<%@ Register TagPrefix="ztwa" Namespace="ZetaTest.WebMain.UI.MainWindow.Start.LeftTree.PopupMenus.Base" Assembly="ZetaTest.WebMain" %>

<ztwa:TreePopupMenu
    runat="server"
    ID="TestCasePopupMenu"
    CssClass="disable-selection" 
    ClientInstanceName="testCasePopupMenu">

    <Items>
        <dxm:MenuItem Name="EditTestCase" Text="Edit" Target="_blank"
            NavigateUrl="#" meta:resourcekey="EditTestCaseResource">
        </dxm:MenuItem>
        <dxm:MenuItem Name="DeleteTestCase" Text="Delete" 
            NavigateUrl="#" meta:resourcekey="DeleteTestCaseResource">
        </dxm:MenuItem>
    </Items>
</ztwa:TreePopupMenu>

<script type="text/javascript">
    function fillTestCasePopupMenu(uac) {
        if (<%=ProjectFeatureChecker.AllowEditingTestCases?@"true":@"false"%>) {
            testCasePopupMenu.GetItemByName('EditTestCase').SetNavigateUrl(uac.UrlEditTestCase);
            testCasePopupMenu.GetItemByName('EditTestCase').SetEnabled(uac.CanEditTestCase);

            testCasePopupMenu.GetItemByName('DeleteTestCase').SetNavigateUrl(uac.UrlDeleteTestCase);
            testCasePopupMenu.GetItemByName('DeleteTestCase').SetEnabled(uac.CanDeleteTestCase);
        }
    }
</script>