﻿<%@ Control 
    Language="C#" 
    AutoEventWireup="true" 
    CodeBehind="TestPlanTreeMenu.ascx.cs" 
    Inherits="ZetaTest.WebMain.UI.MainWindow.Start.LeftTree.PopupMenus.TestPlanTreeMenu" 
    %>
<%@ Register TagPrefix="ztwa" Namespace="ZetaTest.WebMain.UI.MainWindow.Start.LeftTree.PopupMenus.Base" Assembly="ZetaTest.WebMain" %>

<ztwa:TreePopupMenu
    runat="server"
    ID="TestPlanPopupMenu"
    CssClass="disable-selection"
    ClientInstanceName="testPlanPopupMenu">

    <Items>
        <dxm:MenuItem Name="StartNewTestRun" Text="New test run" Target="_blank"
            NavigateUrl="#" meta:resourcekey="StartNewTestRunResource">
        </dxm:MenuItem>
    </Items>
</ztwa:TreePopupMenu>

<script type="text/javascript">
    function fillTestPlanPopupMenu(uac) {
        testPlanPopupMenu.GetItemByName('StartNewTestRun').SetNavigateUrl(uac.UrlStartNewTestRunOnTestPlan);
        testPlanPopupMenu.GetItemByName('StartNewTestRun').SetEnabled(uac.CanStartNewTestRunOnTestPlan);
    }
</script>
