﻿<%@ Control 
    Language="C#" 
    AutoEventWireup="true" 
    CodeBehind="TestUnitRootTreeMenu.ascx.cs" 
    Inherits="ZetaTest.WebMain.UI.MainWindow.Start.LeftTree.PopupMenus.TestUnitRootTreeMenu" 
    %>
<%@ Import Namespace="ZetaTest.WebMain.UI.Entrance" %>
<%@ Register TagPrefix="ztwa" Namespace="ZetaTest.WebMain.UI.MainWindow.Start.LeftTree.PopupMenus.Base" Assembly="ZetaTest.WebMain" %>

<ztwa:TreePopupMenu
    runat="server"
    ID="TestUnitRootPopupMenu"
    CssClass="disable-selection"
    ClientInstanceName="testUnitRootPopupMenu">

    <Items>
        <dxm:MenuItem Name="AddTestUnit" Text="New test unit" Target="_blank"
            NavigateUrl="#" meta:resourcekey="AddTestUnitResource">
        </dxm:MenuItem>
    </Items>
</ztwa:TreePopupMenu>

<script type="text/javascript">
    function fillTestUnitRootPopupMenu(uac) {
        if (<%=ProjectFeatureChecker.AllowEditingTestUnits?@"true":@"false"%>) {
            testUnitRootPopupMenu.GetItemByName('AddTestUnit').SetNavigateUrl(uac.UrlAddTestUnit);
            testUnitRootPopupMenu.GetItemByName('AddTestUnit').SetEnabled(uac.CanAddTestUnit);
        }
    }
</script>
