﻿function NavBarSplitterPane_SetHeight(height) {
    if (ExistASPxClientControl("MainTreeList")) {
        MainTreeList.SetHeight(height);
    }
}

function deleteTestCase(testCaseID, nodeKey) {
    if (confirm('Translate(ConfirmDeleteTestCase)')) {
        logit("About to delete test case with ID '{0}', node key '{1}'.".format(testCaseID, nodeKey));

        var param = Sys.Serialization.JavaScriptSerializer.serialize({
            message: 'deleteTestCase',
            testCaseID: testCaseID
        });

        // Ein Löschen ist im Unbound-Virtual-Mode nicht möglich.
        // Deshalb hier via Callback auf dem Server aus der Datenbank löschen...
        TreeCallback.PerformCallback(param);

        // ...und hier schlicht die Zeile in der GUI entfernen.
        var row = $(MainTreeList.GetNodeHtmlElement(nodeKey));
        row.remove();
    }
}

function deleteTestUnit(testUnitID, nodeKey) {
    if (confirm('Translate(ConfirmDeleteTestUnit)')) {
        logit("About to delete test case with ID '{0}', node key '{1}'.".format(testUnitID, nodeKey));

        var param = Sys.Serialization.JavaScriptSerializer.serialize({
            message: 'deleteTestUnit',
            testUnitID: testUnitID
        });

        // Ein Löschen ist im Unbound-Virtual-Mode nicht möglich.
        // Deshalb hier via Callback auf dem Server aus der Datenbank löschen...
        TreeCallback.PerformCallback(param);

        // ...und hier schlicht die Zeile in der GUI entfernen.
        var row = $(MainTreeList.GetNodeHtmlElement(nodeKey));
        row.remove();
    }
}