﻿<%@ Control 
    Language="C#" 
    AutoEventWireup="true" 
    Inherits="ZetaTest.WebMain.UI.MainWindow.Start.OverviewControl" Codebehind="OverviewControl.ascx.cs" %>

<%@ Register Src="~/UI/Helper/Controls/NoDataToDisplay.ascx" TagName="NoDataToDisplay" TagPrefix="zt" %>

<zt:NoDataToDisplay runat="server" ID="NoDataToDisplay" ClientVisible="False" />

<dxp:ASPxPanel ID="OverviewContentPanel" runat="server" ClientVisible="False" Width="100%" Paddings-Padding="0">
	<PanelCollection>
		<dxp:PanelContent runat="server" ID="PC">
            <div id="testcase-content-div">
				<div id="titlecompact" ClientIDMode="Static" runat="server">
					<h1><asp:Label runat="server" ID="TitleLabel" /></h1>
				</div>
				<div id="contentcompact" ClientIDMode="Static" class="contentcompact" runat="server">
			        <div runat="server" ID="SectionTestPlan" class="section" Visible="False">
					    <table class="info" cellpadding="0" cellspacing="0" border="0">
						    <tr>
							    <th nowrap="nowrap">Anzahl Testpläne</th>
							    <td width="100%"><asp:Label runat="server" ID="lCountTestPlans"></asp:Label></td>
						    </tr>
						    <tr>
							    <th nowrap="nowrap">Anzahl Testordner</th>
							    <td width="100%"><asp:Label runat="server" ID="lCountTestPackages"></asp:Label></td>
						    </tr>
						    <tr>
							    <th nowrap="nowrap">Anzahl Testläufe</th>
							    <td width="100%"><asp:Label runat="server" ID="lCountTestRuns"></asp:Label></td>
						    </tr>
                        </table>
                    </div>
                    <div runat="server" ID="SectionTestUnit" class="section" Visible="False">
                        <table class="info" cellpadding="0" cellspacing="0" border="0">
                            <tr>
							    <th nowrap="nowrap">Anzahl Testeinheiten</th>
							    <td width="100%"><asp:Label runat="server" ID="lCountTestUnits"></asp:Label></td>
						    </tr>
                            <tr>
							    <th nowrap="nowrap">Anzahl Testfälle</th>
							    <td width="100%"><asp:Label runat="server" ID="lCountTestCases"></asp:Label></td>
						    </tr>
                            <tr>
							    <th nowrap="nowrap">Geschätzte Gesamtdauer</th>
							    <td width="100%"><asp:Label runat="server" ID="lTotalTime"></asp:Label></td>
						    </tr>
                            <!---------------------------------------------->
					    </table>
			        </div>
			        <div runat="server" ID="SectionDescription" class="section">
				        <div class="bluebox">
					        <h4>Beschreibung:</h4>
					        <div class="description">
					            <asp:Label runat="server" ID="DescriptionLabel"/>
					        </div>
                        </div>
                    </div>
                </div>
            </div>
        </dxp:PanelContent>
    </PanelCollection>
</dxp:ASPxPanel>