﻿<%@ Page 
    Title="Test case library – Zeta Test Management" 
    Language="C#" 
    MasterPageFile="~/UI/Helper/MasterPages/AuthenticatedSplittedMasterPage.master" 
    AutoEventWireup="true" 
    Inherits="ZetaTest.WebMain.UI.MainWindow.TestUnitsAndCases.Index" culture="auto" meta:resourcekey="PageResource1" uiculture="auto"
    Codebehind="Index.aspx.cs" %>

<%@ Register Src="~/UI/MainWindow/TestUnitsAndCases/TestCaseTreeControl.ascx" TagPrefix="zt" TagName="TestCaseTreeControl" %>

<asp:Content runat="server" ContentPlaceHolderID="NavBarHeader">
	<asp:Localize ID="Localize1" runat="server" Text="Test case library" 
		meta:resourcekey="Localize1Resource1" />
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="NavBarContent" Runat="Server">
	<zt:TestCaseTreeControl
		runat="server"
		ID="TestCaseTree"
        OnClientInit="function(s,e){ OnTestCaseTreeInit(s,e); }"
        OnClientFocusedNodeChanged="function(s,e){ OnTestCaseTreeFocusedNodeChanged(s,e); }" />
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="MCPH" Runat="Server">
    <dxcp:ASPxCallbackPanel 
        runat="server"
        ID="DetailsPanel"
        CssClass="FormButton"
        ClientInstanceName="DetailsPanel"  
        Width="100%"
        OnCallback="detailsPanelCallback" Height="100%" 
		meta:resourcekey="DetailsPanelResource1">
        <ClientSideEvents EndCallback="OnDetailsPanelEndCallback" />
    </dxcp:ASPxCallbackPanel>
</asp:Content>
