﻿<%@ Control 
	Language="C#" 
	AutoEventWireup="true"
	Inherits="ZetaTest.WebMain.UI.MainWindow.TestUnitsAndCases.TestCaseTreeControl" 
	 Codebehind="TestCaseTreeControl.ascx.cs" %>

<dx:ASPxTreeList 
	runat="server" 
	ID="TestCaseTreeList" 
	ClientInstanceName="TestCaseTreeList" 
	Width="100%"
	Height="100%" 
	KeyFieldName="UniqueID" 
	OnHtmlRowPrepared="TestCaseTreeList_RowPrepared"
	OnVirtualModeCreateChildren="TestCaseTreeList_VirtualModeCreateChildren"
	OnVirtualModeNodeCreating="TestCaseTreeList_VirtualModeNodeCreating" 
	AutoGenerateColumns="False" 
    meta:resourcekey="TestCaseTreeListResource1"
	>
	<Settings ShowRoot="true" ShowColumnHeaders="false" SuppressOuterGridLines="true" ShowTreeLines="False" />
	<SettingsBehavior AllowFocusedNode="true" FocusNodeOnLoad="false" FocusNodeOnExpandButtonClick="false" />
    <SettingsCookies Enabled="true" StoreExpandedNodes="true" />
	<Columns>
		<dx:TreeListDataColumn FieldName="Title">
			<DataCellTemplate>
				<dxe:ASPxImage runat="server" ID="Icon" ImageAlign="AbsMiddle" Width="16px" Height="16px"/>
				&nbsp;<%#Eval(@"Title")%>
			</DataCellTemplate>
		</dx:TreeListDataColumn>
	</Columns>
</dx:ASPxTreeList>
