﻿<%@ Page 
    Title="Report viewer – Zeta Test Management" 
    Language="C#" 
    MasterPageFile="~/UI/Reporting/ReportViewerMasterPage.master" 
    AutoEventWireup="true" 
    Inherits="ZetaTest.WebMain.UI.Reporting.ReportViewer" culture="auto" meta:resourcekey="PageResource1" uiculture="auto" Codebehind="ReportViewer.aspx.cs" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HCPC" Runat="Server">
    <dxwc:ReportToolbar 
		ID="ReportToolbar1" 
		runat="server"
        ReportViewerID="ReportViewerControl"
		EnableViewState="False" 
		>
		<Items>
			<dxwc:ReportToolbarButton ItemKind='Search' ToolTip='Display the search window' 
				meta:resourcekey="ReportToolbarButtonResource1" />
			<dxwc:ReportToolbarSeparator />
			<dxwc:ReportToolbarButton ItemKind='PrintReport' ToolTip='Print the report' 
				meta:resourcekey="ReportToolbarButtonResource2" />
			<dxwc:ReportToolbarButton ItemKind='PrintPage' ToolTip='Print the current page' 
				meta:resourcekey="ReportToolbarButtonResource3" />
			<dxwc:ReportToolbarSeparator />
			<dxwc:ReportToolbarButton Enabled='False' ItemKind='FirstPage' 
				ToolTip='First Page' meta:resourcekey="ReportToolbarButtonResource4" />
			<dxwc:ReportToolbarButton Enabled='False' ItemKind='PreviousPage' 
				ToolTip='Previous Page' meta:resourcekey="ReportToolbarButtonResource5" />
			<dxwc:ReportToolbarLabel Text='Page' 
				meta:resourcekey="ReportToolbarLabelResource1" />
			<dxwc:ReportToolbarComboBox ItemKind='PageNumber' Width='65px'>
			</dxwc:ReportToolbarComboBox>
			<dxwc:ReportToolbarLabel Text="of" 
				meta:resourcekey="ReportToolbarLabelResource2" />
			<dxwc:ReportToolbarTextBox IsReadOnly='True' ItemKind='PageCount' />
			<dxwc:ReportToolbarButton ItemKind='NextPage' ToolTip='Next Page' 
				meta:resourcekey="ReportToolbarButtonResource6" />
			<dxwc:ReportToolbarButton ItemKind='LastPage' ToolTip='Last Page' 
				meta:resourcekey="ReportToolbarButtonResource7" />
			<dxwc:ReportToolbarSeparator />
			<dxwc:ReportToolbarButton ItemKind='SaveToDisk' 
				ToolTip='Export a report and save it to the disk' 
				meta:resourcekey="ReportToolbarButtonResource8" />
			<dxwc:ReportToolbarButton ItemKind='SaveToWindow' 
				ToolTip='Export a report and show it in a new window' 
				meta:resourcekey="ReportToolbarButtonResource9" />
			<dxwc:ReportToolbarComboBox ItemKind='SaveFormat' Width='70px'>
				<Elements>
					<dxwc:ListElement Text='Pdf' Value='pdf' />
					<dxwc:ListElement Text='Xls' Value='xls' />
					<dxwc:ListElement Text='Xlsx' Value='xlsx' />
					<dxwc:ListElement Text='Rtf' Value='rtf' />
					<dxwc:ListElement Text='Mht' Value='mht' />
					<dxwc:ListElement Text='Html' Value='html' />
					<dxwc:ListElement Text='Text' Value='txt' />
					<dxwc:ListElement Text='Image' Value='png' />
					<dxwc:ListElement Text='Csv' Value='csv' />
				</Elements>
			</dxwc:ReportToolbarComboBox>
		</Items>
	</dxwc:ReportToolbar>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MCPH" Runat="Server">
   
    
    
    <dxwc:ReportViewer 
		id="ReportViewerControl" 
		Width="100%"
		runat="server" 
		ClientInstanceName="ReportViewerControl" meta:resourcekey="ReportViewerResource1">
	</dxwc:ReportViewer>
    

    
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="FooterContentPlaceHolder" Runat="Server">
    <dxwc:ReportToolbar 
		ID="ReportToolbar2" 
		runat="server"
        ReportViewerID="ReportViewerControl"
		EnableViewState="False" 
		>
		<Items>
			<dxwc:ReportToolbarButton ItemKind='Search' ToolTip='Display the search window' 
				meta:resourcekey="ReportToolbarButtonResource10" />
			<dxwc:ReportToolbarSeparator />
			<dxwc:ReportToolbarButton ItemKind='PrintReport' ToolTip='Print the report' 
				meta:resourcekey="ReportToolbarButtonResource11" />
			<dxwc:ReportToolbarButton ItemKind='PrintPage' ToolTip='Print the current page' 
				meta:resourcekey="ReportToolbarButtonResource12" />
			<dxwc:ReportToolbarSeparator />
			<dxwc:ReportToolbarButton Enabled='False' ItemKind='FirstPage' 
				ToolTip='First Page' meta:resourcekey="ReportToolbarButtonResource13" />
			<dxwc:ReportToolbarButton Enabled='False' ItemKind='PreviousPage' 
				ToolTip='Previous Page' meta:resourcekey="ReportToolbarButtonResource14" />
			<dxwc:ReportToolbarLabel Text='Page' 
				meta:resourcekey="ReportToolbarLabelResource3" />
			<dxwc:ReportToolbarComboBox ItemKind='PageNumber' Width='65px'>
			</dxwc:ReportToolbarComboBox>
			<dxwc:ReportToolbarLabel Text="of" 
				meta:resourcekey="ReportToolbarLabelResource4" />
			<dxwc:ReportToolbarTextBox IsReadOnly='True' ItemKind='PageCount' />
			<dxwc:ReportToolbarButton ItemKind='NextPage' ToolTip='Next Page' 
				meta:resourcekey="ReportToolbarButtonResource15" />
			<dxwc:ReportToolbarButton ItemKind='LastPage' ToolTip='Last Page' 
				meta:resourcekey="ReportToolbarButtonResource16" />
			<dxwc:ReportToolbarSeparator />
			<dxwc:ReportToolbarButton ItemKind='SaveToDisk' 
				ToolTip='Export a report and save it to the disk' 
				meta:resourcekey="ReportToolbarButtonResource17" />
			<dxwc:ReportToolbarButton ItemKind='SaveToWindow' 
				ToolTip='Export a report and show it in a new window' 
				meta:resourcekey="ReportToolbarButtonResource18" />
			<dxwc:ReportToolbarComboBox ItemKind='SaveFormat' Width='70px'>
				<Elements>
					<dxwc:ListElement Text='Pdf' Value='pdf' />
					<dxwc:ListElement Text='Xls' Value='xls' />
					<dxwc:ListElement Text='Xlsx' Value='xlsx' />
					<dxwc:ListElement Text='Rtf' Value='rtf' />
					<dxwc:ListElement Text='Mht' Value='mht' />
					<dxwc:ListElement Text='Html' Value='html' />
					<dxwc:ListElement Text='Text' Value='txt' />
					<dxwc:ListElement Text='Image' Value='png' />
					<dxwc:ListElement Text='Csv' Value='csv' />
				</Elements>
			</dxwc:ReportToolbarComboBox>
		</Items>
	</dxwc:ReportToolbar>

    <%--<div>
        <table>
            <tbody>
                <tr>
                    <td>
                        <dxe:ASPxButton runat="server" ID="CmdClose" Text="Close" >
                            <ClientSideEvents Click="function(s,e){CloseCallback.PerformCallback();}" />
                        </dxe:ASPxButton>
                    </td>
                </tr>
            </tbody>
        </table>

        <dxcb:ASPxCallback ID="ASPxCallback1" runat="server" ClientInstanceName="CloseCallback" OnCallback="CloseCallback_Callback">
        <ClientSideEvents CallbackComplete="function(s,e){window.close();}" /></dxcb:ASPxCallback>
    </div>--%>
</asp:Content>

