﻿<%@ Control 
	Language="C#" 
	AutoEventWireup="true" 
	Inherits="ZetaTest.WebMain.UI.TestPlansAndRuns.PlannedTestCases.PlannedTestCaseVariantsSequenceControl" Codebehind="PlannedTestCaseVariantsSequenceControl.ascx.cs" %>
<%@ Register TagPrefix="ZetaTest" Namespace="ZetaTest.WebMain.Code.UI" Assembly="ZetaTest.WebMain" %>

<ZetaTest:PersistentStateGridView   
	ID="VariantsGridView" 
	ClientInstanceName="VariantsGridView"
	runat="server"
	Width="100%"
	AutoGenerateColumns="False" 
	KeyFieldName="__ID" HasRestored="False" meta:resourcekey="VariantsGridViewResource1"
	>
    <Styles>
        <AlternatingRow Enabled="True" />
    </Styles>
    <SettingsBehavior AllowGroup="false" AllowDragDrop="false" AllowSort="false" />
       
	
	<Columns>
		<dxgv:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="0" 
			Width="3px">
			<HeaderTemplate>
				<input type="checkbox" onclick="VariantsGridView.SelectAllRowsOnPage(this.checked);" 
					runat="server"
					style="vertical-align:middle;" title="Select/Unselect all rows on the page"></input>
				</input>
			</HeaderTemplate>
			<HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" 
				HorizontalAlign="Center">
<Paddings PaddingTop="1px" PaddingBottom="1px"></Paddings>
			</HeaderStyle>
		</dxgv:GridViewCommandColumn>	
	</Columns>
</ZetaTest:PersistentStateGridView>

<p>
	<input runat="server" onclick="VariantsGridView.SelectAllRowsOnPage();" type="button" value="Select all" />
	<input runat="server" onclick="VariantsGridView.UnselectAllRowsOnPage();" type="button" value="Select none" />
    
    &nbsp;
    &nbsp;
     
	<table cellspacing="0" cellpadding="0" class="buttons"><tr>
		<td><dxe:ASPxButton ID="buttonMoveUp" runat="server" Text="Move up" 
				meta:resourcekey="buttonMoveUpResource1" /></td>
		<td><dxe:ASPxButton ID="buttonMoveDown" runat="server" Text="Move down" 
				meta:resourcekey="buttonMoveDownResource1" /></td>
	</tr></table>
</p>

