﻿var OnBeforeUnloadHandler;

function ReloadAttachments() {
	MainLoadingPanel.ShowInElementByID("attachments-content-div");

	AttachmentsGridView.Refresh();

	window.onbeforeunload = OnBeforeUnloadHandler;
}

function UpdateTestResultAttachmentsControlUI() {
	if (AttachmentsGridView.GetVisibleRowsOnPage() > 0) {
		AttachmentsNoItemPanel.SetVisible(false);
		AttachmentsGridView.SetVisible(true);

		AttachmentCountLabel.SetText(
                AttachmentsGridView.GetVisibleRowsOnPage() + " Translate(SR_JS_AttachmentsCount)");
	}
	else {
		AttachmentsNoItemPanel.SetVisible(true);
		AttachmentsGridView.SetVisible(false);
		AttachmentCountLabel.SetVisible(false);
	}
}

function OnAttachmentsGridViewEndCallback(s, e) {
	UpdateTestResultAttachmentsControlUI();
	MainLoadingPanel.Hide();
}

function OnUploadControlFilesUploadStart(s, e) {
	OnBeforeUnloadHandler = window.onbeforeunload;
	window.onbeforeunload = null;
}

function OnUploadControlFilesUploadComplete(s, e) {
	ReloadAttachments();
}

function OnUploadClick(s, e) {
	e.processOnServer = false;
	UploadAttachment.Upload();
}