﻿    <%@ Page 
	Culture="Auto" 
	UICulture="Auto"
	Title="Perform Tests – Zeta Test Management" 
	Language="C#" 
	MasterPageFile="~/UI/Helper/MasterPages/AuthenticatedCleanMasterPage.master"
	AutoEventWireup="True" 
	Inherits="ZetaTest.WebMain.UI.TestPlansAndRuns.TestRuns.PerformTests" meta:resourcekey="PageResource4" 
	Codebehind="PerformTests.aspx.cs" %>
<%@ MasterType VirtualPath="~/UI/Helper/MasterPages/AuthenticatedCleanMasterPage.master" %>

<%@ Register TagPrefix="zt" TagName="DisplayTestCaseControl" Src="~/UI/TestUnitsAndCases/TestCases/DisplayTestCaseControl.ascx" %>
<%@ Register TagPrefix="zt" TagName="PromotedAttributesControl" Src="~/UI/Attributes/PromotedAttributesControl.ascx" %>
<%@ Register TagPrefix="zt" TagName="TestResultHtmlEditControl" Src="~/UI/TestPlansAndRuns/PlannedTestCases/TestResultHtmlEditControl.ascx" %>
<%@ Register TagPrefix="zt" TagName="TestResultAttachmentsControl" Src="~/UI/TestPlansAndRuns/PlannedTestCases/TestResultAttachmentsControl.ascx" %>
<%@ Register TagPrefix="zt" TagName="SingleBugTicketControl" Src="~/UI/BugTracker/SingleBugTrackerItemControl.ascx" %>
<%@ Register TagPrefix="zt" TagName="MultiBugTrackerItemControl" Src="~/UI/BugTracker/MultiBugTrackerItemControl.ascx" %>
<%@ Register TagPrefix="zt" TagName="EditBugTrackerItemControl" Src="~/UI/BugTracker/EditBugTrackerItemControl.ascx" %>
<%@ Register TagPrefix="zt" TagName="ConfirmFinishTestRunControl" Src="~/UI/TestPlansAndRuns/TestRuns/ConfirmFinishTestRunControl.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <link type="text/css" rel="stylesheet" runat="server" ID="LocalCss01" />
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MCPH" Runat="Server">

    <dx:ASPxLoadingPanel 
        runat="server"
        ID="MainLoadingPanel" 
        ClientInstanceName="MainLoadingPanel"
        HorizontalAlign="Center" 
        LoadingDivStyle-BackColor="White"
        Modal="True"
        VerticalAlign="Top"/>
	

    <dxpc:ASPxPopupControl
        runat="server"
        ID="LockedItemPopup"
        ClientInstanceName="LockedItemPopup"
        CloseAction="None"
        PopupAnimationType="None"
        PopupHorizontalAlign="Center"
	    PopupVerticalAlign="Middle" 
        PopupElementID="MainLeftContentOuter"
        PopupAction="None"
        ShowShadow="False"
        ShowHeader="False" meta:resourcekey="LockedItemPopupResource1">
        <ContentCollection>
		    <dxpc:PopupControlContentControl runat="server">
                <dxe:ASPxLabel
                    runat="server"
                    ID="LockedItemErrorMessageLabel"
                    ClientInstanceName="LockedItemErrorMessageLabel" />
            </dxpc:PopupControlContentControl>
        </ContentCollection>
    </dxpc:ASPxPopupControl>

	<dxcb:ASPxCallback 
		ClientInstanceName="AsyncServerCallback"
		ID="AsyncServerCallback" 
		runat="server"
		OnCallback="OnAsyncServerCallback">
		<ClientSideEvents 
			BeginCallback="OnAsyncServerBeginCallback" 
			CallbackComplete="OnAsyncServerCallbackComplete" 
			CallbackError="OnAsyncServerCallbackError"
			EndCallback="OnAsyncServerEndCallback"
			Init="OnAsyncServerCallbackInit" />
	</dxcb:ASPxCallback>

	<zt:ConfirmFinishTestRunControl
		runat="server"
		ID="ConfirmFinishTestRun"
		DialogClosed="OnConfirmFinishTestRunDialogClosed" />

	<zt:EditBugTrackerItemControl 
		runat="server" 
		ID="EditBugTrackerItem"
		DialogClosed="OnEditBugTrackerItemDialogClosed"
		OnNeedPlannedTestCaseResultItem="OnEditBugTrackerItemNeedPlannedTestCaseResultItem" />

	<dxsp:ASPxSplitter 
		runat="server"
		ID="ContentSplitter" 
		ClientInstanceName="ContentSplitter"
		Orientation="Vertical" 
		Width="100%" 
		Height="100%">
		<ClientSideEvents 
			Init="OnSplitterInit" 
			PaneResized="OnSplitterPaneResized"  />
        <Styles>
            <Pane Border-BorderColor="Silver" >
<Border BorderColor="Silver"></Border>
			</Pane>
        </Styles>
		<Panes>
			<dxsp:SplitterPane Size="50px" AllowResize="False" Separators-Size="0px" 
				ShowSeparatorImage="False">
<Separators Size="0px"></Separators>

                <PaneStyle Border-BorderStyle="None" >
<Border BorderStyle="None"></Border>
				</PaneStyle>
				<ContentCollection>
					<dxsp:SplitterContentControl runat="server" BorderWidth="0">
						<%-- Header --%>
						<div class="header" id="header">
						    <div class="wizardhead">
							    <asp:Label runat="server" ID="TestUnitLabel" CssClass="test-case-name" /><br />
							    <dxe:ASPxLabel 
								    runat="server" 
								    ID="TestCasePathLabel" 
								    ClientInstanceName="TestCasePathLabel" 
								    CssClass="test-case-path" />
						    </div>
						</div>
						<%-- /Header --%>
					</dxsp:SplitterContentControl>
				</ContentCollection>
			</dxsp:SplitterPane>
		
			<dxsp:SplitterPane 
				Separators-Size="5px" 
				ShowSeparatorImage="False" 
				ShowCollapseBackwardButton="False" 
				ShowCollapseForwardButton="False">
<Separators Size="5px"></Separators>
				<Panes>
					<dxsp:SplitterPane Name="ContentPaneLeft">
						<ContentCollection>
							<dxsp:SplitterContentControl runat="server" >
								<%-- Main LEFT. --%>

                                <div id="MainLeftContentOuter">

                                    <dxcp:ASPxPanel
                                    runat="server"
                                    ID="MainLeftContent"
                                    ClientInstanceName="MainLeftContent">
                                    <PanelCollection>
                                        <dxcp:PanelContent runat="server">

								            <table id="maintable" class="form" width="100%" height="100%">
									            <tr id="maintableRow1">
										            <td>
											            <table cellspacing="0" cellpadding="0" width="100%">
												            <tr>
													            <th width="20px" valign="middle" nowrap="nowrap"><asp:Localize meta:resourcekey="Localize1Resource1" ID="Localize1" runat="server" Text="Result:" /></th>
													            <td width="100%">
														            <dxe:ASPxComboBox 
															            runat="server" 
															            ID="TestResultComboBox" 
															            ClientInstanceName="TestResultComboBox"
															            DropDownRows="20"
															            Width="100%" 
															            AutoPostBack="false">
															            <ClientSideEvents 
																            SelectedIndexChanged="OnTestResultComboBoxSelectedIndexChanged" />
															            <ValidationSettings CausesValidation="false" />
														            </dxe:ASPxComboBox>
													            </td>
												            </tr>
											            </table>
										            </td>
									            </tr>
									            <tr id="maintableRow2">
										            <td width="100%">
											            <zt:PromotedAttributesControl 
												            runat="server" 
												            ID="AttributesControl" />
										            </td>
									            </tr>
									            <tr id="maintableRow3" height="100%">
										            <td width="100%">
											            <dxtc:ASPxPageControl 
												            runat="server" 
												            ID="TabControl" 
												            ClientInstanceName="MainLeftTabControl"
												            ClientVisible="false">
												            <ClientSideEvents 
													            ActiveTabChanged="OnMainLeftTabControlActiveTabChanged" />
												            <TabPages>
													            <dxtc:TabPage Text="Test result" Name="Result" meta:resourcekey="TabPageResource1">
														            <ContentCollection>
															            <dxw:ContentControl ID="ContentControl1" runat="server">
																            <zt:TestResultHtmlEditControl 
																	            runat="server" 
																	            ID="HtmlEditControl" 
																	            ClientInstanceName="TestResultHtmlEditor" />
															            </dxw:ContentControl>
														            </ContentCollection>
													            </dxtc:TabPage>
													            <dxtc:TabPage Text="Attachments" Name="Attachments" meta:resourcekey="TabPageResource2">
														            <ContentCollection>
															            <dxw:ContentControl ID="ContentControl2" runat="server">
																            <zt:TestResultAttachmentsControl
																	            runat="server"
																	            ID="TestResultAttachments"
																	            OnNeedPlannedTestCaseResultItem="OnTestResultAttachmentsNeedPlannedTestCaseResultItem" />
															            </dxw:ContentControl>
														            </ContentCollection>
													            </dxtc:TabPage>
													            <dxtc:TabPage Text="Bug Tracker items" Name="Bugs" meta:resourcekey="TabPageResource3">
														            <ContentCollection>
															            <dxw:ContentControl ID="ContentControl3" runat="server">
																            <zt:MultiBugTrackerItemControl
																	            runat="server"
																	            ID="MultiBugTrackerItems"
																	            OnNeedPlannedTestCaseResultItem="OnMultiBugTrackerItemsNeedPlannedTestCaseResultItem" />
															            </dxw:ContentControl>
														            </ContentCollection>
													            </dxtc:TabPage>
												            </TabPages>				
											            </dxtc:ASPxPageControl>
										            </td>
									            </tr>
									            <tr id="maintableRow4">
										            <td width="100%">
											            <zt:SingleBugTicketControl 
												            runat="Server" 
												            ID="SingleBugTicketControl" />
										            </td>
									            </tr>

								            </table>

                                        </dxcp:PanelContent>
                                    </PanelCollection>    
                                </dxcp:ASPxPanel>
                                </div>

								<%-- /Main LEFT. --%>
							</dxsp:SplitterContentControl>
						</ContentCollection>
					</dxsp:SplitterPane>
				
					<dxsp:SplitterPane Name="ContentPaneRight">
                        <PaneStyle>
                            <Paddings Padding="0" />
                        </PaneStyle>
						<ContentCollection>
							<dxsp:SplitterContentControl runat="server">
								<%-- Main RIGHT. --%>
								<dxcp:ASPxCallbackPanel
									runat="server"
									ID="DisplayTestCaseCallbackPanel"
									ClientInstanceName="DisplayTestCaseCallbackPanel"
									EnableCallbackCompression="true"
									OnCallback="OnDisplayTestCaseCallback">
									<ClientSideEvents 
										BeginCallback="OnDisplayTestCaseCallbackPanelBeginCallback" 
										EndCallback="OnDisplayTestCaseCallbackPanelEndCallback" />
									<PanelCollection>
										<dxcp:PanelContent runat="server">
											<zt:DisplayTestCaseControl
												runat="server"
												ID="DisplayTestCase" />
										</dxcp:PanelContent>
									</PanelCollection>
								</dxcp:ASPxCallbackPanel>
								<%-- /Main RIGHT. --%>
							</dxsp:SplitterContentControl>
						</ContentCollection>
					</dxsp:SplitterPane>
				</Panes>
				<ContentCollection>
				<dxsp:SplitterContentControl runat="server" SupportsDisabledAttribute="True"></dxsp:SplitterContentControl>
				</ContentCollection>
			</dxsp:SplitterPane>
		</Panes>
	</dxsp:ASPxSplitter>
</asp:Content>

<asp:Content ContentPlaceHolderID="FooterContentPlaceHolder" runat="server">
	<div class="footer">
		<table cellspacing="0" cellpadding="0" class="buttons" 
			style="margin-top: 5px; margin-bottom:0px; padding-left: 5px; padding-right: 5px;" width="100%">
			<tr>
				<td nowrap="nowrap">
					<dxe:ASPxButton 
						CssClass="FormButton" 
						ID="PreviousButton" 
						meta:resourcekey="PreviousButtonResource1"
						ClientInstanceName="PreviousButton" 
						runat="server" 
						Text="« Previous" >
						<ClientSideEvents Click="OnPreviousButtonClick" />
					</dxe:ASPxButton>
				</td>
				<td nowrap="nowrap">
					<dxe:ASPxButton 
						CssClass="FormButton" 
						ID="NextButton" 
						meta:resourcekey="NextButtonResource1"
						ClientInstanceName="NextButton" 
						runat="server" 
						Text="Next »">
						<ClientSideEvents Click="OnNextButtonClick"  />                            
					</dxe:ASPxButton> 
				</td>
				<td>&nbsp;</td>
				<td nowrap="nowrap">
					<dxe:ASPxComboBox 
						runat="server" 
						ID="DirectJumpComboBox" 
						ClientInstanceName="DirectJumpComboBox"
						AutoPostBack="false"
						DropDownRows="20"
						Width="400px">
							<ClientSideEvents 
								Init="OnDirectJumpComboBoxInit"
								SelectedIndexChanged="OnDirectJumpComboBoxSelectedIndexChanged" />
						</dxe:ASPxComboBox>
				</td>
				<td>&nbsp;</td>
				<td nowrap="NoWrap" width="100%" align="right">
					<dxe:ASPxButton 
						ID="CloseButton" 
						ClientInstanceName="CloseButton"
						meta:resourcekey="CloseButtonResource1"
						runat="server" 
						AutoPostBack="false"
						CssClass="FormButton" 
						Text="Close">
						<ClientSideEvents Click="OnCloseButtonClick" />
					</dxe:ASPxButton>
				</td>
			</tr>
		</table>
	</div>
</asp:Content>