﻿<%@ Page 
	Culture="Auto" 
	UICulture="Auto"
	Title="Edit test case – Zeta Test Management" 
    Language="C#" 
    MasterPageFile="~/UI/Helper/MasterPages/AuthenticatedCleanMasterPage.master" 
    AutoEventWireup="true" 
    CodeBehind="TestCaseEdit.aspx.cs" 
    Inherits="ZetaTest.WebMain.UI.TestUnitsAndCases.TestCases.TestCaseEdit" meta:resourcekey="PageResource7" 
    %>
<%@ MasterType VirtualPath="~/UI/Helper/MasterPages/AuthenticatedCleanMasterPage.master" %>
<%@ Register src="~/UI/TestUnitsAndCases/TestCases/TestCaseEditAttachmentsControl.ascx" TagPrefix="zt" TagName="TestCaseEditAttachmentsControl"%>
<%@ Register src="~/UI/TestUnitsAndCases/TestCases/TestCaseEditAttributesControl.ascx" TagPrefix="zt" TagName="TestCaseEditAttributesControl"%>
<%@ Register src="~/UI/TestUnitsAndCases/TestCases/TestCaseEditDescriptionControl.ascx" TagPrefix="zt" TagName="TestCaseEditDescriptionControl"%>
<%@ Register src="~/UI/TestUnitsAndCases/TestCases/TestCaseEditInformationControl.ascx" TagPrefix="zt" TagName="TestCaseEditInformationControl"%>
<%@ Register src="~/UI/TestUnitsAndCases/TestCases/TestCaseEditReviewControl.ascx" TagPrefix="zt" TagName="TestCaseEditReviewControl"%>
<%@ Register src="~/UI/TestUnitsAndCases/TestCases/TestCaseEditTestCaseControl.ascx" TagPrefix="zt" TagName="TestCaseEditTestCaseControl"%>

<asp:Content ID="Content2" ContentPlaceHolderID="MCPH" Runat="Server">
    
    <dxtc:ASPxPageControl 
        runat="server" 
        ID="TabControl"
        ClientInstanceName="PackageMainContentTabControl"
        Width="100%" Height="100px" ActiveTabIndex="0">
        
        <ClientSideEvents Init="OnInit" />
        <Paddings PaddingTop="10px" Padding="0px" />      

	    <TabPages>
		    <dxtc:TabPage Text="Test case" Name="TestCase" meta:resourcekey="TabPageResource1">
			    <ContentCollection>
				    <dxw:ContentControl ID="ContentControl1" runat="server">
					    <zt:TestCaseEditTestCaseControl 
						    runat="server" 
						    ID="TestCaseEditTestCaseControl" />
				    </dxw:ContentControl>
			    </ContentCollection>
		    </dxtc:TabPage>
		    <dxtc:TabPage Text="Description" Name="Result" meta:resourcekey="TabPageResource2">
			    <ContentCollection>
				    <dxw:ContentControl ID="ContentControl2" runat="server">
					    <zt:TestCaseEditDescriptionControl 
						    runat="server" 
						    ID="TestCaseEditDescriptionControl" />
				    </dxw:ContentControl>
			    </ContentCollection>
		    </dxtc:TabPage>
		    <dxtc:TabPage Text="Attachments" Name="Attachments" meta:resourcekey="TabPageResource3">
			    <ContentCollection>
				    <dxw:ContentControl ID="ContentControl3" runat="server">
					    <zt:TestCaseEditAttachmentsControl
						    runat="server"
						    ID="TestCaseEditAttachmentsControl" />
				    </dxw:ContentControl>
			    </ContentCollection>
		    </dxtc:TabPage>
		    <dxtc:TabPage Text="Attributes" Name="Attributes" meta:resourcekey="TabPageResource4">
			    <ContentCollection>
				    <dxw:ContentControl ID="ContentControl4" runat="server">
					    <zt:TestCaseEditAttributesControl
						    runat="server"
						    ID="TestCaseEditAttributesControl" />
				    </dxw:ContentControl>
			    </ContentCollection>
		    </dxtc:TabPage>
		    <dxtc:TabPage Text="Review" Name="Review" meta:resourcekey="TabPageResource5">
			    <ContentCollection>
				    <dxw:ContentControl ID="ContentControl5" runat="server">
					    <zt:TestCaseEditReviewControl
						    runat="server"
						    ID="TestCaseEditReviewControl" />
				    </dxw:ContentControl>
			    </ContentCollection>
		    </dxtc:TabPage>
		    <dxtc:TabPage Text="Information" Name="Information" meta:resourcekey="TabPageResource6">
			    <ContentCollection>
				    <dxw:ContentControl ID="ContentControl6" runat="server">
					    <zt:TestCaseEditInformationControl
						    runat="server"
						    ID="TestCaseEditInformationControl" />
				    </dxw:ContentControl>
			    </ContentCollection>
		    </dxtc:TabPage>
	    </TabPages>				
    </dxtc:ASPxPageControl>

</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="FooterContentPlaceHolder" runat="server">
	<div class="footer">
		<table cellspacing="0" cellpadding="0" class="buttons" 
			style="margin-top: 5px; margin-bottom:0px; padding-left: 5px; padding-right: 5px;" width="100%">
			<tr>
				<td nowrap="NoWrap" width="100%" align="right">
					<dxe:ASPxButton 
						CssClass="FormButton" 
						ID="OKButton" 
						ClientInstanceName="OKButton" 
						runat="server" 
                        OnClick="OKButton_Click"
						Text="OK" >
						<ClientSideEvents Click="OnOKButtonClick" />
					</dxe:ASPxButton>
				</td>
				<td nowrap="NoWrap" align="right">
					<dxe:ASPxButton 
						CssClass="FormButton" 
						ID="CancelButton" 
						ClientInstanceName="CancelButton" 
                        AutoPostBack="False"
						runat="server" 
						Text="Cancel" >
						<ClientSideEvents Click="OnCancelButtonClick" />
					</dxe:ASPxButton>
				</td>
			</tr>
		</table>
	</div>
</asp:Content>
